CREATE TABLE gs_curation(
    sno INT PRIMARY KEY AUTO_INCREMENT,
    partnerSno INT NOT NULL COMMENT '고객사 번호',
    groupId VARCHAR(100) NOT NULL COMMENT '그룹 ID',
    title VARCHAR(100) NOT NULL COMMENT '큐레이션 타이틀',
    description VARCHAR(200) NOT NULL COMMENT '큐레이션 설명',
    displayOrder INT NOT NULL COMMENT '큐레이션 순서',
    displayFl BOOLEAN DEFAULT TRUE COMMENT '노출여부',
    displayType ENUM('ALWAYS', 'PERIOD') DEFAULT 'ALWAYS' COMMENT '노출타입',
    startDt VARCHAR(30) NULL COMMENT '노출 시작일',
    endDt VARCHAR(30) NULL COMMENT '노출 종료일',
    pcImgUrl VARCHAR(500) NULL COMMENT '대표이미지 PC',
    mobileImgUrl VARCHAR(500) NULL COMMENT '대표이미지 MOBILE',
    landingUrl VARCHAR(500) NOT NULL COMMENT '랜딩 URL',
    blankFl BOOLEAN DEFAULT TRUE COMMENT '새창으로 열기 여부',
    tagName VARCHAR(50) NOT NULL COMMENT '태그명',
    tagColor VARCHAR(20) NOT NULL COMMENT '태그 색상',
    productDisplayType ENUM('LIST', 'NAVIGATION_SWIPER', 'GRID', 'PAGINATION_SWIPER') DEFAULT 'LIST' COMMENT '상품진열 타입',
    additionalInfo TEXT NULL COMMENT '추가정보',
    regDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updateDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);

CREATE TABLE gs_curation_product_display(
    sno INT PRIMARY KEY AUTO_INCREMENT,
    curationSno INT NOT NULL COMMENT '큐레이션 번호',
    title VARCHAR(100) NOT NULL COMMENT '진열명',
    regDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updateDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    FOREIGN KEY (curationSno) REFERENCES gs_curation(sno)
);

CREATE TABLE gs_curation_product(
    sno INT PRIMARY KEY AUTO_INCREMENT,
    displaySno INT NOT NULL COMMENT '진열 번호',
    productNo INT NOT NULL COMMENT '상품 번호',
    regDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updateDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    FOREIGN KEY (displaySno) REFERENCES gs_curation_product_display(sno)
);