"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlimtalkManagerController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const alimtalk_manager_service_1 = require("./alimtalk-manager.service");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const alimtalk_manager_entity_1 = require("./entity/alimtalk-manager.entity");
const alimtalk_manager_search_dto_1 = require("./dto/alimtalk-manager.search.dto");
const alimtalk_manager_insert_dto_1 = require("./dto/alimtalk-manager.insert.dto");
const alimtalk_manager_update_dto_1 = require("./dto/alimtalk-manager.update.dto");
let AlimtalkManagerController = class AlimtalkManagerController {
    constructor(alimtalkManagerService) {
        this.alimtalkManagerService = alimtalkManagerService;
    }
    async find(dto) {
        return this.alimtalkManagerService.find(dto);
    }
    async findOne(sno) {
        return this.alimtalkManagerService.findOne(sno);
    }
    async create(dto) {
        return this.alimtalkManagerService.create(dto);
    }
    async update(dto) {
        return this.alimtalkManagerService.update(dto);
    }
};
exports.AlimtalkManagerController = AlimtalkManagerController;
__decorate([
    (0, common_1.Get)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '알림톡 관리 리스트' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [alimtalk_manager_entity_1.AlimtalkManager] }),
    __param(0, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [alimtalk_manager_search_dto_1.AlimtalkManagerSearchDto]),
    __metadata("design:returntype", Promise)
], AlimtalkManagerController.prototype, "find", null);
__decorate([
    (0, common_1.Get)('/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '알림톡 관리 조회' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: alimtalk_manager_entity_1.AlimtalkManager }),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], AlimtalkManagerController.prototype, "findOne", null);
__decorate([
    (0, common_1.Post)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '알림톡 관리 등록' }),
    (0, swagger_1.ApiQuery)({ type: alimtalk_manager_insert_dto_1.AlimtalkManagerInsertDto }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: alimtalk_manager_entity_1.AlimtalkManager }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [alimtalk_manager_insert_dto_1.AlimtalkManagerInsertDto]),
    __metadata("design:returntype", Promise)
], AlimtalkManagerController.prototype, "create", null);
__decorate([
    (0, common_1.Patch)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '알림톡 관리 수정' }),
    (0, swagger_1.ApiQuery)({ type: alimtalk_manager_update_dto_1.AlimtalkManagerUpdateDto }),
    (0, swagger_1.ApiResponse)({ status: 200, type: alimtalk_manager_entity_1.AlimtalkManager }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [alimtalk_manager_update_dto_1.AlimtalkManagerUpdateDto]),
    __metadata("design:returntype", Promise)
], AlimtalkManagerController.prototype, "update", null);
exports.AlimtalkManagerController = AlimtalkManagerController = __decorate([
    (0, common_1.Controller)('admin/alimtalk-manager'),
    (0, swagger_1.ApiTags)('알림톡 관리 API'),
    __metadata("design:paramtypes", [alimtalk_manager_service_1.AlimtalkManagerService])
], AlimtalkManagerController);
//# sourceMappingURL=alimtalk-manager.controller.js.map