"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlimtalkManagerService = void 0;
const common_1 = require("@nestjs/common");
const default_service_1 = require("../../../common/service/default.service");
const alimtalk_manager_entity_1 = require("./entity/alimtalk-manager.entity");
const gsUtil_1 = require("../../../common/util/gsUtil");
let AlimtalkManagerService = class AlimtalkManagerService extends default_service_1.DefaultService {
    async create(dto) {
        return super.createBase(alimtalk_manager_entity_1.AlimtalkManager, dto);
    }
    async update(dto) {
        return super.updateBase(alimtalk_manager_entity_1.AlimtalkManager, dto);
    }
    async findOne(sno) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(alimtalk_manager_entity_1.AlimtalkManager, 'alimtalk');
        qb.leftJoinAndSelect('gs_partner', 'partner', 'alimtalk.partnerSno=partner.sno').select(['alimtalk.*', 'partner.partnerName as partnerName']);
        qb.andWhere('alimtalk.sno=:sno', { sno });
        return await qb.getRawOne();
    }
    async findOneByPartnerNo(partnerSno) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(alimtalk_manager_entity_1.AlimtalkManager, 'alimtalk');
        qb.leftJoinAndSelect('gs_partner', 'partner', 'alimtalk.partnerSno=partner.sno').select(['alimtalk.*', 'partner.partnerName as partnerName']);
        qb.andWhere('alimtalk.partnerSno=:partnerSno', { partnerSno });
        return await qb.getRawOne();
    }
    async find(dto) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(alimtalk_manager_entity_1.AlimtalkManager, 'alimtalk');
        qb.leftJoinAndSelect('gs_partner', 'partner', 'alimtalk.partnerSno=partner.sno').select(['alimtalk.*', 'partner.partnerName as partnerName']);
        if (dto.partnerSno) {
            qb.andWhere('alimtalk.partnerSno = :partnerSno', {
                partnerSno: dto.partnerSno,
            });
        }
        if (dto.serviceProvider) {
            qb.andWhere('alimtalk.serviceProvider = :serviceProvider', {
                serviceProvider: dto.serviceProvider,
            });
        }
        qb.offset(dto.skip);
        qb.limit(dto.take);
        qb.orderBy('alimtalk.sno', dto.order);
        const list = await qb.getRawMany();
        const count = await qb.getCount();
        const data = [list, count];
        return (0, gsUtil_1.paginateResponse)(data, dto.page, dto.take);
    }
};
exports.AlimtalkManagerService = AlimtalkManagerService;
exports.AlimtalkManagerService = AlimtalkManagerService = __decorate([
    (0, common_1.Injectable)()
], AlimtalkManagerService);
//# sourceMappingURL=alimtalk-manager.service.js.map