"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlimtalkTemplateController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const alimtalk_template_service_1 = require("./alimtalk-template.service");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const alimtalk_template_entity_1 = require("./entity/alimtalk-template.entity");
const alimtalk_template_search_dto_1 = require("./dto/alimtalk-template.search.dto");
const alimtalk_template_insert_dto_1 = require("./dto/alimtalk-template.insert.dto");
const alimtalk_template_update_dto_1 = require("./dto/alimtalk-template.update.dto");
let AlimtalkTemplateController = class AlimtalkTemplateController {
    constructor(alimtalkTemplateService) {
        this.alimtalkTemplateService = alimtalkTemplateService;
    }
    async find(dto) {
        return this.alimtalkTemplateService.find(dto);
    }
    async findOne(partnerSno, templateCode) {
        return this.alimtalkTemplateService.findOne(templateCode, partnerSno);
    }
    async create(dto) {
        return this.alimtalkTemplateService.create(dto);
    }
    async update(dto) {
        return this.alimtalkTemplateService.update(dto);
    }
};
exports.AlimtalkTemplateController = AlimtalkTemplateController;
__decorate([
    (0, common_1.Get)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '알림톡 템플릿 리스트' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [alimtalk_template_entity_1.AlimtalkTemplate] }),
    __param(0, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [alimtalk_template_search_dto_1.AlimtalkTemplateSearchDto]),
    __metadata("design:returntype", Promise)
], AlimtalkTemplateController.prototype, "find", null);
__decorate([
    (0, common_1.Get)('/:partnerSno/:templateCode'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '알림톡 템플릿 조회' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [alimtalk_template_entity_1.AlimtalkTemplate] }),
    __param(0, (0, common_1.Param)('partnerSno')),
    __param(1, (0, common_1.Param)('templateCode')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number, String]),
    __metadata("design:returntype", Promise)
], AlimtalkTemplateController.prototype, "findOne", null);
__decorate([
    (0, common_1.Post)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '알림톡 템플릿 등록' }),
    (0, swagger_1.ApiQuery)({ type: alimtalk_template_insert_dto_1.AlimtalkTemplateInsertDto }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: alimtalk_template_entity_1.AlimtalkTemplate }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [alimtalk_template_insert_dto_1.AlimtalkTemplateInsertDto]),
    __metadata("design:returntype", Promise)
], AlimtalkTemplateController.prototype, "create", null);
__decorate([
    (0, common_1.Patch)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '알림톡 템플릿 수정' }),
    (0, swagger_1.ApiQuery)({ type: alimtalk_template_update_dto_1.AlimtalkTemplateUpdateDto }),
    (0, swagger_1.ApiResponse)({ status: 200, type: alimtalk_template_entity_1.AlimtalkTemplate }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [alimtalk_template_update_dto_1.AlimtalkTemplateUpdateDto]),
    __metadata("design:returntype", Promise)
], AlimtalkTemplateController.prototype, "update", null);
exports.AlimtalkTemplateController = AlimtalkTemplateController = __decorate([
    (0, common_1.Controller)('admin/alimtalk-template'),
    (0, swagger_1.ApiTags)('알림톡 템플릿 관리 API'),
    __metadata("design:paramtypes", [alimtalk_template_service_1.AlimtalkTemplateService])
], AlimtalkTemplateController);
//# sourceMappingURL=alimtalk-template.controller.js.map