"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlimtalkTemplateService = void 0;
const common_1 = require("@nestjs/common");
const alimtalk_template_entity_1 = require("./entity/alimtalk-template.entity");
const default_service_1 = require("../../../common/service/default.service");
const gsUtil_1 = require("../../../common/util/gsUtil");
let AlimtalkTemplateService = class AlimtalkTemplateService extends default_service_1.DefaultService {
    async create(dto) {
        return super.createBase(alimtalk_template_entity_1.AlimtalkTemplate, dto);
    }
    async update(dto) {
        const entityManager = await this.getEntityManager();
        await entityManager.update(alimtalk_template_entity_1.AlimtalkTemplate, { templateCode: dto.templateCode, partnerSno: dto.partnerSno }, Object.assign({}, dto));
        return this.findOne(dto.templateCode, dto.partnerSno);
    }
    async findOne(templateCode, partnerSno) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(alimtalk_template_entity_1.AlimtalkTemplate, 'template');
        qb.leftJoinAndSelect('gs_partner', 'partner', 'template.partnerSno = partner.sno').select(['template.*', 'partner.partnerName as partnerName']);
        qb.andWhere('template.templateCode=:templateCode AND template.partnerSno=:partnerSno', { templateCode, partnerSno });
        return await qb.getRawOne();
    }
    async find(dto) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(alimtalk_template_entity_1.AlimtalkTemplate, 'template');
        qb.leftJoinAndSelect('gs_partner', 'partner', 'template.partnerSno = partner.sno').select(['template.*', 'partner.partnerName as partnerName']);
        if (dto.partnerSno)
            qb.andWhere('template.partnerSno=:partnerSno', {
                partnerSno: dto.partnerSno,
            });
        if (dto.templateCode)
            qb.andWhere('template.templateCode=:templateCode', {
                templateCode: dto.templateCode,
            });
        if (dto.templateTitle)
            qb.andWhere('template.templateTitle LIKE :templateTitle', {
                templateTitle: `%${dto.templateTitle}%`,
            });
        if (dto.msg)
            qb.andWhere('template.msg LIKE :msg', {
                templateCode: `%${dto.msg}%`,
            });
        qb.offset(dto.skip);
        qb.limit(dto.take);
        qb.orderBy('template.regDt', dto.order);
        const list = await qb.getRawMany();
        const count = await qb.getCount();
        const data = [list, count];
        return (0, gsUtil_1.paginateResponse)(data, dto.page, dto.take);
    }
};
exports.AlimtalkTemplateService = AlimtalkTemplateService;
exports.AlimtalkTemplateService = AlimtalkTemplateService = __decorate([
    (0, common_1.Injectable)()
], AlimtalkTemplateService);
//# sourceMappingURL=alimtalk-template.service.js.map