"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppManagerController = void 0;
const common_1 = require("@nestjs/common");
const app_manager_service_1 = require("./app-manager.service");
const _app_manager_insert_dto_1 = require("./dto/ app-manager.insert.dto");
const app_manager_update_dto_1 = require("./dto/app-manager.update.dto");
const app_manager_search_dto_1 = require("./dto/app-manager.search.dto");
const swagger_1 = require("@nestjs/swagger");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const app_manager_entity_1 = require("./entity/app-manager.entity");
let AppManagerController = class AppManagerController {
    constructor(appManagerService) {
        this.appManagerService = appManagerService;
    }
    async find(dto) {
        return this.appManagerService.find(dto);
    }
    async findOne(sno) {
        return this.appManagerService.findOne(sno);
    }
    async create(req, dto) {
        dto.managerSno = req.sno;
        return this.appManagerService.create(dto);
    }
    async update(dto) {
        return this.appManagerService.update(dto);
    }
};
exports.AppManagerController = AppManagerController;
__decorate([
    (0, common_1.Get)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '앱 리스트' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [app_manager_entity_1.AppManager] }),
    __param(0, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [app_manager_search_dto_1.AppManagerSearchDto]),
    __metadata("design:returntype", Promise)
], AppManagerController.prototype, "find", null);
__decorate([
    (0, common_1.Get)('/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '앱 조회' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: app_manager_entity_1.AppManager }),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], AppManagerController.prototype, "findOne", null);
__decorate([
    (0, common_1.Post)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '앱 등록' }),
    (0, swagger_1.ApiQuery)({ type: _app_manager_insert_dto_1.AppManagerInsertDto }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: app_manager_entity_1.AppManager }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, _app_manager_insert_dto_1.AppManagerInsertDto]),
    __metadata("design:returntype", Promise)
], AppManagerController.prototype, "create", null);
__decorate([
    (0, common_1.Patch)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '앱 수정' }),
    (0, swagger_1.ApiQuery)({ type: app_manager_update_dto_1.AppManagerUpdateDto }),
    (0, swagger_1.ApiResponse)({ status: 200, type: app_manager_entity_1.AppManager }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [app_manager_update_dto_1.AppManagerUpdateDto]),
    __metadata("design:returntype", Promise)
], AppManagerController.prototype, "update", null);
exports.AppManagerController = AppManagerController = __decorate([
    (0, common_1.Controller)('admin/app-manager'),
    (0, swagger_1.ApiTags)('앱 관리 API'),
    __metadata("design:paramtypes", [app_manager_service_1.AppManagerService])
], AppManagerController);
//# sourceMappingURL=app-manager.controller.js.map