"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppManagerService = void 0;
const common_1 = require("@nestjs/common");
const default_service_1 = require("../../../common/service/default.service");
const app_manager_entity_1 = require("./entity/app-manager.entity");
const gsUtil_1 = require("../../../common/util/gsUtil");
const app_partner_service_1 = require("../app-partner/app-partner.service");
const core_1 = require("@nestjs/core");
let AppManagerService = class AppManagerService extends default_service_1.DefaultService {
    constructor(appPartnerService, moduleRef) {
        super(moduleRef);
        this.appPartnerService = appPartnerService;
        this.moduleRef = moduleRef;
    }
    async create(dto) {
        return super.createBase(app_manager_entity_1.AppManager, dto);
    }
    async update(dto) {
        return super.updateBase(app_manager_entity_1.AppManager, dto);
    }
    async findOne(sno) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(app_manager_entity_1.AppManager, 'app');
        qb.leftJoinAndSelect('gs_manager', 'manager', 'app.managerSno = manager.sno')
            .select([
            'app.sno as sno',
            'manager.id as id',
            'app.appName as appName',
            'app.appUrl as appUrl',
            'app.appDesc as appDesc',
        ])
            .andWhere('app.sno=:sno', { sno });
        const app = await qb.getRawOne();
        app.partners = await this.appPartnerService.findPartnersByAppNo(sno);
        return app;
    }
    async find(dto) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(app_manager_entity_1.AppManager, 'app');
        qb.leftJoinAndSelect('gs_manager', 'manager', 'app.managerSno = manager.sno').select([
            'app.sno as sno',
            'manager.id as id',
            'app.appName as appName',
            'app.appUrl as appUrl',
            'app.appDesc as appDesc',
        ]);
        if (dto.appName) {
            qb.andWhere('app.appName LIKE :appName', {
                appName: `%${dto.appName}%`,
            });
        }
        if (dto.appUrl) {
            qb.andWhere('app.appUrl LIKE :appUrl', {
                appUrl: `%${dto.appUrl}%`,
            });
        }
        qb.offset(dto.skip);
        qb.limit(dto.take);
        qb.orderBy('app.sno', dto.order);
        const list = await qb.getRawMany();
        const count = await qb.getCount();
        const data = [list, count];
        return (0, gsUtil_1.paginateResponse)(data, dto.page, dto.take);
    }
};
exports.AppManagerService = AppManagerService;
exports.AppManagerService = AppManagerService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [app_partner_service_1.AppPartnerService,
        core_1.ModuleRef])
], AppManagerService);
//# sourceMappingURL=app-manager.service.js.map