"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppPartnerService = void 0;
const common_1 = require("@nestjs/common");
const default_service_1 = require("../../../common/service/default.service");
const app_partner_entity_1 = require("./entity/app-partner.entity");
const partner_entity_1 = require("../partner/entity/partner.entity");
const core_1 = require("@nestjs/core");
const manager_service_1 = require("../manager/manager.service");
let AppPartnerService = class AppPartnerService extends default_service_1.DefaultService {
    constructor(managerService, moduleRef) {
        super(moduleRef);
        this.managerService = managerService;
        this.moduleRef = moduleRef;
    }
    async create(dto) {
        const result = await Promise.all(dto.partnerSno.map(async (partnerSno) => {
            if (!(await this.exist(dto.appSno, partnerSno))) {
                return super.createBase(app_partner_entity_1.AppPartner, {
                    appSno: dto.appSno,
                    partnerSno: partnerSno,
                });
            }
        }));
        if (result.every((value) => value === null)) {
            throw new common_1.HttpException('등록 된 데이터가 없습니다', common_1.HttpStatus.BAD_REQUEST);
        }
        return result;
    }
    async find(partnerSno, managerSno) {
        const entityManager = await this.getEntityManager();
        let hasAuthority = false;
        let authorityAppSno = [];
        if (managerSno) {
            const manager = await this.managerService.findOne(managerSno);
            if (manager.authority) {
                manager.authority = JSON.parse(manager.authority);
                authorityAppSno = manager.authority.app;
                hasAuthority = true;
            }
        }
        const qb = entityManager.createQueryBuilder(app_partner_entity_1.AppPartner, 'appPartner');
        qb.leftJoinAndSelect('gs_appManager', 'app', 'appPartner.appSno=app.sno').select([
            'appPartner.sno partnerAppSno',
            'app.sno as appSno',
            'app.appName as appName',
            'app.appUrl as appUrl',
            'app.appDesc as appDesc',
        ]);
        qb.where('appPartner.partnerSno=:partnerSno', {
            partnerSno,
        });
        if (hasAuthority) {
            qb.andWhere('app.sno in (:...appSno)', {
                appSno: authorityAppSno,
            });
        }
        qb.orderBy('appPartner.sno', 'DESC');
        return qb.getRawMany();
    }
    async exist(appSno, partnerSno) {
        const entityManager = await this.getEntityManager();
        const exist = await entityManager.findOneBy(app_partner_entity_1.AppPartner, {
            appSno,
            partnerSno,
        });
        return exist ? true : false;
    }
    async delete(sno) {
        return super.delete(app_partner_entity_1.AppPartner, sno);
    }
    async findPartnersByAppNo(appSno) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(partner_entity_1.Partner, 'partner');
        qb.where('sno in (SELECT partnerSno FROM gs_appPartnerManager WHERE appSno = :appSno)', {
            appSno,
        })
            .select(['sno as sno', 'partnerName as partnerName'])
            .orderBy('partner.sno', 'DESC');
        return qb.getRawMany();
    }
};
exports.AppPartnerService = AppPartnerService;
exports.AppPartnerService = AppPartnerService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [manager_service_1.ManagerService,
        core_1.ModuleRef])
], AppPartnerService);
//# sourceMappingURL=app-partner.service.js.map