import { CodeService } from './code.service';
import { Code } from './entity/code.entity';
import { CodeSearchDto } from './dto/code.search.dto';
import { CodeInsertDto } from './dto/code.insert.dto';
import { CodeUpdateDto } from './dto/code.update.dto';
export declare class CodeController {
    private readonly codeService;
    constructor(codeService: CodeService);
    findAll(codeSearchDto: CodeSearchDto): Promise<any[]>;
    find(codeKey: string): Promise<Code>;
    createCode(code: CodeInsertDto): Promise<Code>;
    updateCode(codeUpdateDto: CodeUpdateDto): Promise<import("typeorm").UpdateResult>;
    deleteCode(codeKey: string): Promise<{
        result: boolean;
    }>;
    getHierarchy(codeKey: string): Promise<Code[]>;
}
