"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const code_service_1 = require("./code.service");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const code_entity_1 = require("./entity/code.entity");
const code_search_dto_1 = require("./dto/code.search.dto");
const code_insert_dto_1 = require("./dto/code.insert.dto");
const code_update_dto_1 = require("./dto/code.update.dto");
let CodeController = class CodeController {
    constructor(codeService) {
        this.codeService = codeService;
    }
    findAll(codeSearchDto) {
        return this.codeService.find(codeSearchDto);
    }
    find(codeKey) {
        return this.codeService.findOne(codeKey);
    }
    createCode(code) {
        return this.codeService.create(code);
    }
    updateCode(codeUpdateDto) {
        return this.codeService.update(codeUpdateDto);
    }
    deleteCode(codeKey) {
        return this.codeService.delete(codeKey);
    }
    getHierarchy(codeKey) {
        return this.codeService.getCodeChildren(codeKey);
    }
};
exports.CodeController = CodeController;
__decorate([
    (0, common_1.Get)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '코드검색' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [code_entity_1.Code] }),
    __param(0, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [code_search_dto_1.CodeSearchDto]),
    __metadata("design:returntype", void 0)
], CodeController.prototype, "findAll", null);
__decorate([
    (0, common_1.Get)(':codeKey'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '코드조회' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: code_entity_1.Code }),
    __param(0, (0, common_1.Param)('codeKey')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CodeController.prototype, "find", null);
__decorate([
    (0, common_1.Post)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '코드생성' }),
    (0, swagger_1.ApiQuery)({ type: code_insert_dto_1.CodeInsertDto }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: code_entity_1.Code }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [code_insert_dto_1.CodeInsertDto]),
    __metadata("design:returntype", void 0)
], CodeController.prototype, "createCode", null);
__decorate([
    (0, common_1.Patch)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '코드 수정' }),
    (0, swagger_1.ApiQuery)({ type: code_update_dto_1.CodeUpdateDto }),
    (0, swagger_1.ApiResponse)({ status: 200, type: code_entity_1.Code }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [code_update_dto_1.CodeUpdateDto]),
    __metadata("design:returntype", void 0)
], CodeController.prototype, "updateCode", null);
__decorate([
    (0, common_1.Delete)(':codeKey'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '코드 삭제' }),
    __param(0, (0, common_1.Param)('codeKey')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CodeController.prototype, "deleteCode", null);
__decorate([
    (0, common_1.Get)('children/:codeKey'),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiResponse)({ description: '하위코드 가져오기', type: [code_entity_1.Code] }),
    __param(0, (0, common_1.Param)('codeKey')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CodeController.prototype, "getHierarchy", null);
exports.CodeController = CodeController = __decorate([
    (0, common_1.Controller)('admin/code'),
    (0, swagger_1.ApiTags)('코드 관리 API'),
    __metadata("design:paramtypes", [code_service_1.CodeService])
], CodeController);
//# sourceMappingURL=code.controller.js.map