"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagerInsertDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const enum_1 = require("../../../../common/enum/enum");
class ManagerInsertDto {
    constructor() {
        this.managerType = enum_1.MANAGER_TYPE.PARTNER;
        this.status = enum_1.YN.N;
    }
}
exports.ManagerInsertDto = ManagerInsertDto;
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '아이디', required: true }),
    __metadata("design:type", String)
], ManagerInsertDto.prototype, "id", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '비밀번호', required: true }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], ManagerInsertDto.prototype, "pwd", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.MANAGER_TYPE),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '관리자 타입',
        default: 'partner',
        enum: enum_1.MANAGER_TYPE,
        required: false,
    }),
    __metadata("design:type", String)
], ManagerInsertDto.prototype, "managerType", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '제휴사 번호', required: true }),
    __metadata("design:type", Number)
], ManagerInsertDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '관리자 이름', required: true }),
    __metadata("design:type", String)
], ManagerInsertDto.prototype, "managerName", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '관리자 전화번호', required: true }),
    __metadata("design:type", String)
], ManagerInsertDto.prototype, "managerTel", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '관리자 이메일', required: true }),
    __metadata("design:type", String)
], ManagerInsertDto.prototype, "managerEmail", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '승인여부',
        default: 'N',
        enum: enum_1.YN,
        required: false,
    }),
    __metadata("design:type", String)
], ManagerInsertDto.prototype, "status", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({
        description: '권한',
        required: false,
        example: {
            app: [1, 2, 3],
        },
    }),
    __metadata("design:type", String)
], ManagerInsertDto.prototype, "authority", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '추가정보', required: false }),
    __metadata("design:type", String)
], ManagerInsertDto.prototype, "additionalInfo", void 0);
//# sourceMappingURL=manager.insert.dto.js.map