import { ManagerService } from './manager.service';
import { ManagerInsertDto } from './dto/manager.insert.dto';
import { ManagerSearchDto } from './dto/manager.search.dto';
import { ManagerUpdateDto } from './dto/manager.update.dto';
import { Manager } from './entity/manager.entity';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
export declare class ManagerController {
    private managerService;
    constructor(managerService: ManagerService);
    find(dto: ManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(sno: number): Promise<any>;
    create(dto: ManagerInsertDto): Promise<Manager>;
    update(dto: ManagerUpdateDto): Promise<Manager>;
    delete(sno: number): Promise<{
        result: boolean;
    }>;
    profile(req: ICustomAdminRequest): Promise<Manager>;
}
