"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagerController = void 0;
const common_1 = require("@nestjs/common");
const manager_service_1 = require("./manager.service");
const manager_insert_dto_1 = require("./dto/manager.insert.dto");
const manager_search_dto_1 = require("./dto/manager.search.dto");
const manager_update_dto_1 = require("./dto/manager.update.dto");
const swagger_1 = require("@nestjs/swagger");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const manager_entity_1 = require("./entity/manager.entity");
let ManagerController = class ManagerController {
    constructor(managerService) {
        this.managerService = managerService;
    }
    async find(dto) {
        return await this.managerService.find(dto);
    }
    async findOne(sno) {
        return await this.managerService.findOne(sno);
    }
    async create(dto) {
        return this.managerService.create(dto);
    }
    async update(dto) {
        return this.managerService.update(dto);
    }
    async delete(sno) {
        return this.managerService.delete(sno);
    }
    async profile(req) {
        return this.managerService.profile(req.user['sno']);
    }
};
exports.ManagerController = ManagerController;
__decorate([
    (0, common_1.Get)('/admin/manager'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '관리자 목록' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [manager_entity_1.Manager] }),
    __param(0, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [manager_search_dto_1.ManagerSearchDto]),
    __metadata("design:returntype", Promise)
], ManagerController.prototype, "find", null);
__decorate([
    (0, common_1.Get)('/admin/manager/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '관리자 조회' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: manager_entity_1.Manager }),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], ManagerController.prototype, "findOne", null);
__decorate([
    (0, common_1.Post)('/admin/manager'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '관리자 생성' }),
    (0, swagger_1.ApiQuery)({ type: manager_insert_dto_1.ManagerInsertDto }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: manager_entity_1.Manager }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [manager_insert_dto_1.ManagerInsertDto]),
    __metadata("design:returntype", Promise)
], ManagerController.prototype, "create", null);
__decorate([
    (0, common_1.Patch)('/admin/manager'),
    (0, swagger_1.ApiOperation)({ summary: '관리자 수정' }),
    (0, swagger_1.ApiQuery)({ type: manager_update_dto_1.ManagerUpdateDto }),
    (0, swagger_1.ApiResponse)({ status: 200, type: manager_entity_1.Manager }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [manager_update_dto_1.ManagerUpdateDto]),
    __metadata("design:returntype", Promise)
], ManagerController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)('/admin/manager/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '관리자 삭제' }),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], ManagerController.prototype, "delete", null);
__decorate([
    (0, common_1.Get)('/admin/manager-profile'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '관리자 프로필' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: manager_entity_1.Manager }),
    __param(0, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], ManagerController.prototype, "profile", null);
exports.ManagerController = ManagerController = __decorate([
    (0, common_1.Controller)(),
    (0, swagger_1.ApiTags)('관리자 관리 API'),
    __metadata("design:paramtypes", [manager_service_1.ManagerService])
], ManagerController);
//# sourceMappingURL=manager.controller.js.map