"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Partner = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const enum_1 = require("../../../../common/enum/enum");
const typeorm_1 = require("typeorm");
let Partner = class Partner extends common_entity_1.CommonEntity {
    constructor() {
        super(...arguments);
        this.solution = enum_1.SOLUTION.SHOPBY;
    }
};
exports.Partner = Partner;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '고객사명', required: true }),
    __metadata("design:type", String)
], Partner.prototype, "partnerName", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '대표명', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "siteUrl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '고객사명', required: true }),
    __metadata("design:type", String)
], Partner.prototype, "ceoName", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '대표번호', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "companyTel", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '사업자등록번호', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "companyNo", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '사업자등록증', required: true }),
    __metadata("design:type", String)
], Partner.prototype, "companyNoFile", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '은행코드', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "bankCode", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '계좌번호', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "accountNo", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '계좌파일', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "accountFile", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Length)(5),
    (0, swagger_1.ApiProperty)({ description: '우편번호', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "zipcode", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '주소', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "address", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '주소상세', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "addressSub", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '담당자명', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "managerName", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '담당자 전화번호', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "managerTel", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '담당자 이메일', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "managerEmail", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsEnum)(enum_1.SOLUTION),
    (0, swagger_1.ApiProperty)({
        description: '솔루션',
        required: false,
        enum: enum_1.SOLUTION,
        default: enum_1.SOLUTION.SHOPBY,
    }),
    __metadata("design:type", String)
], Partner.prototype, "solution", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '연동 API URL', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "apiUrl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '서버키', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "serverKey", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '시크릿키', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "secretKey", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '시스템키', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "systemKey", void 0);
__decorate([
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], Partner.prototype, "longLivedToken", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '추가정보', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "additionalInfo", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '프론트에서 사용 할 장기토큰', required: false }),
    __metadata("design:type", String)
], Partner.prototype, "appToken", void 0);
exports.Partner = Partner = __decorate([
    (0, typeorm_1.Entity)('gs_partner')
], Partner);
//# sourceMappingURL=partner.entity.js.map