import { PartnerService } from './partner.service';
import { PartnerInsertDto } from './dto/partner.insert.dto';
import { PartnerSearchDto } from './dto/partner.search.dto';
import { PartnerUpdateDto } from './dto/partner.update.dto';
import { Partner } from './entity/partner.entity';
import { AppInsertDto } from './dto/app.insert.dto';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
export declare class PartnerController {
    private partnerService;
    constructor(partnerService: PartnerService);
    find(dto: PartnerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(sno: number): Promise<Partner>;
    create(dto: PartnerInsertDto): Promise<Partner>;
    update(dto: PartnerUpdateDto): Promise<Partner>;
    delete(sno: number): Promise<{
        result: boolean;
    }>;
    addApp(dto: AppInsertDto): Promise<any[]>;
    profile(req: ICustomAdminRequest): Promise<Partner>;
}
