"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PartnerController = void 0;
const common_1 = require("@nestjs/common");
const partner_service_1 = require("./partner.service");
const partner_insert_dto_1 = require("./dto/partner.insert.dto");
const partner_search_dto_1 = require("./dto/partner.search.dto");
const partner_update_dto_1 = require("./dto/partner.update.dto");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const swagger_1 = require("@nestjs/swagger");
const partner_entity_1 = require("./entity/partner.entity");
const app_insert_dto_1 = require("./dto/app.insert.dto");
let PartnerController = class PartnerController {
    constructor(partnerService) {
        this.partnerService = partnerService;
    }
    async find(dto) {
        return this.partnerService.find(dto);
    }
    async findOne(sno) {
        return await this.partnerService.findOne(sno);
    }
    async create(dto) {
        return this.partnerService.create(dto);
    }
    async update(dto) {
        return this.partnerService.update(dto);
    }
    async delete(sno) {
        return this.partnerService.delete(sno);
    }
    async addApp(dto) {
        return this.partnerService.addApp(dto);
    }
    async profile(req) {
        return this.partnerService.findOne(req.partnerSno);
    }
};
exports.PartnerController = PartnerController;
__decorate([
    (0, common_1.Get)('admin/partner'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '고객사 리스트' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [partner_entity_1.Partner] }),
    __param(0, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [partner_search_dto_1.PartnerSearchDto]),
    __metadata("design:returntype", Promise)
], PartnerController.prototype, "find", null);
__decorate([
    (0, common_1.Get)('admin/partner/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '고객사 조회' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: partner_entity_1.Partner }),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], PartnerController.prototype, "findOne", null);
__decorate([
    (0, common_1.Post)('admin/partner'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '고객사 등록' }),
    (0, swagger_1.ApiQuery)({ type: partner_insert_dto_1.PartnerInsertDto }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: partner_entity_1.Partner }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [partner_insert_dto_1.PartnerInsertDto]),
    __metadata("design:returntype", Promise)
], PartnerController.prototype, "create", null);
__decorate([
    (0, common_1.Patch)('admin/partner'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '고객사 수정' }),
    (0, swagger_1.ApiQuery)({ type: partner_update_dto_1.PartnerUpdateDto }),
    (0, swagger_1.ApiResponse)({ status: 200, type: partner_entity_1.Partner }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [partner_update_dto_1.PartnerUpdateDto]),
    __metadata("design:returntype", Promise)
], PartnerController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)('admin/partner/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '고객사 삭제' }),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], PartnerController.prototype, "delete", null);
__decorate([
    (0, common_1.Post)('admin/partner/app'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiQuery)({ type: app_insert_dto_1.AppInsertDto }),
    (0, swagger_1.ApiOperation)({ summary: '제휴사 앱 등록' }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [app_insert_dto_1.AppInsertDto]),
    __metadata("design:returntype", Promise)
], PartnerController.prototype, "addApp", null);
__decorate([
    (0, common_1.Get)('admin/profile'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({ summary: '파트너 정보 조회' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: partner_entity_1.Partner }),
    __param(0, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], PartnerController.prototype, "profile", null);
exports.PartnerController = PartnerController = __decorate([
    (0, common_1.Controller)(),
    (0, swagger_1.ApiTags)('고객사 관리 API'),
    __metadata("design:paramtypes", [partner_service_1.PartnerService])
], PartnerController);
//# sourceMappingURL=partner.controller.js.map