import { Partner } from './entity/partner.entity';
import { PartnerInsertDto } from './dto/partner.insert.dto';
import { DefaultService } from 'src/common/service/default.service';
import { ModuleRef } from '@nestjs/core';
import { PartnerSearchDto } from './dto/partner.search.dto';
import { PartnerUpdateDto } from './dto/partner.update.dto';
import { AppInsertDto } from './dto/app.insert.dto';
import { AppPartnerService } from '../app-partner/app-partner.service';
import { AuthService } from '../../common/auth/auth.service';
export declare class PartnerService extends DefaultService {
    private readonly appPartnerService;
    private readonly authService;
    protected readonly moduleRef: ModuleRef;
    constructor(appPartnerService: AppPartnerService, authService: AuthService, moduleRef: ModuleRef);
    find(dto: PartnerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(partnerSno: number): Promise<Partner>;
    create(dto: PartnerInsertDto): Promise<Partner>;
    update(dto: PartnerUpdateDto): Promise<Partner>;
    delete(sno: number): Promise<{
        result: boolean;
    }>;
    addApp(dto: AppInsertDto): Promise<any[]>;
}
