"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopbyController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const server_api_dto_1 = require("./dto/server-api.dto");
const shopby_service_1 = require("./shopby.service");
let ShopbyController = class ShopbyController {
    constructor(shopByService) {
        this.shopByService = shopByService;
    }
    async shopByServerApi(req, dto) {
        return await this.shopByService.shopByServerApi(req.partnerSno, dto);
    }
};
exports.ShopbyController = ShopbyController;
__decorate([
    (0, common_1.Post)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '[관리자] ShopBy Server Api ByPass' }),
    (0, swagger_1.ApiHeader)({
        name: 'Authorization',
        required: true,
        description: '관리자 Access token',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, server_api_dto_1.ShopByServerApiDto]),
    __metadata("design:returntype", Promise)
], ShopbyController.prototype, "shopByServerApi", null);
exports.ShopbyController = ShopbyController = __decorate([
    (0, swagger_1.ApiTags)('[관리자] ShopBy'),
    (0, common_1.Controller)('/app/admin/shopby/server-api'),
    __metadata("design:paramtypes", [shopby_service_1.ShopbyService])
], ShopbyController);
//# sourceMappingURL=shopby.controller.js.map