"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlimtalkService = void 0;
const common_1 = require("@nestjs/common");
const alimtalk_manager_service_1 = require("../../admin/alimtalk-manager/alimtalk-manager.service");
const enum_1 = require("../../../common/enum/enum");
const infoBank_service_1 = require("./provider/infoBank.service");
const alimtalk_template_service_1 = require("../../admin/alimtalk-template/alimtalk-template.service");
let AlimtalkService = class AlimtalkService {
    constructor(alimtalkManagerService, infoBankService, alimtalkTemplateService) {
        this.alimtalkManagerService = alimtalkManagerService;
        this.infoBankService = infoBankService;
        this.alimtalkTemplateService = alimtalkTemplateService;
    }
    async sendAlimtalk(partnerSno, templateCode, replace, receiver) {
        const alimtalkManager = await this.alimtalkManagerService.findOneByPartnerNo(partnerSno);
        const alimtalkTemplate = await this.alimtalkTemplateService.findOne(templateCode, partnerSno);
        if (!alimtalkTemplate)
            throw new common_1.HttpException('조회 된 템플릿이 없습니다.', common_1.HttpStatus.BAD_REQUEST);
        let content = alimtalkTemplate.msg;
        for (const element of replace) {
            content = content.replaceAll(element.target, element.value);
        }
        let attachment = null;
        if (alimtalkTemplate.useButton === enum_1.YN.Y) {
            attachment = JSON.stringify(JSON.parse(alimtalkTemplate.attachment));
            for (const element of replace) {
                attachment = attachment.replaceAll(element.target, element.value);
            }
        }
        switch (alimtalkManager.serviceProvider) {
            case enum_1.ALIMTALK_SERVICE_PROVIDER.INFOBANK:
                return await this.infoBankService.sendAlimtalk(receiver, content, alimtalkManager, alimtalkTemplate, attachment);
            case enum_1.ALIMTALK_SERVICE_PROVIDER.NHNCLOUD:
                break;
        }
    }
};
exports.AlimtalkService = AlimtalkService;
exports.AlimtalkService = AlimtalkService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [alimtalk_manager_service_1.AlimtalkManagerService,
        infoBank_service_1.InfoBankService,
        alimtalk_template_service_1.AlimtalkTemplateService])
], AlimtalkService);
//# sourceMappingURL=alimtalk.service.js.map