import { BrandManagerService } from './brand-manager.service';
import { BrandManagerUpdateDto } from './dto/brand-manager.update.dto';
import { BrandManagerInsertDto } from './dto/brand-manager.insert.dto';
import { BrandManagerSearchDto } from './dto/brand-manager.search.dto';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
import { BrandManager } from './entity/brand-manager.entity';
import { BrandManagerDeleteDto } from './dto/brand-manager.delete.dto';
export declare class BrandManagerController {
    private readonly brandManagerService;
    constructor(brandManagerService: BrandManagerService);
    create(req: ICustomAdminRequest, dto: BrandManagerInsertDto): Promise<any>;
    update(req: ICustomAdminRequest, dto: BrandManagerUpdateDto): Promise<any>;
    find(req: ICustomAdminRequest, dto: BrandManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(req: ICustomAdminRequest, brandNo: number): Promise<any>;
    delete(req: ICustomAdminRequest, dto: BrandManagerDeleteDto): Promise<{
        result: boolean;
    }>;
    sync(req: ICustomAdminRequest, partnerSno: number): Promise<BrandManager>;
}
