"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandManagerController = void 0;
const common_1 = require("@nestjs/common");
const brand_manager_service_1 = require("./brand-manager.service");
const brand_manager_update_dto_1 = require("./dto/brand-manager.update.dto");
const brand_manager_insert_dto_1 = require("./dto/brand-manager.insert.dto");
const brand_manager_search_dto_1 = require("./dto/brand-manager.search.dto");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const swagger_1 = require("@nestjs/swagger");
const brand_manager_entity_1 = require("./entity/brand-manager.entity");
const brand_manager_delete_dto_1 = require("./dto/brand-manager.delete.dto");
let BrandManagerController = class BrandManagerController {
    constructor(brandManagerService) {
        this.brandManagerService = brandManagerService;
    }
    async create(req, dto) {
        if (req.managerType == enum_1.MANAGER_TYPE.PARTNER)
            dto.partnerSno = req.partnerSno;
        else {
            if (!dto.partnerSno)
                throw new common_1.HttpException('제휴사 번호를 입력하세요.', common_1.HttpStatus.BAD_REQUEST);
        }
        return this.brandManagerService.create(dto);
    }
    async update(req, dto) {
        if (req.managerType == enum_1.MANAGER_TYPE.PARTNER) {
            dto.partnerSno = req.partnerSno;
        }
        return this.brandManagerService.update(dto);
    }
    async find(req, dto) {
        if (req.managerType == enum_1.MANAGER_TYPE.PARTNER) {
            dto.partnerSno = req.partnerSno;
        }
        return await this.brandManagerService.find(dto);
    }
    async findOne(req, brandNo) {
        let partnerSno = null;
        if (req.managerType == enum_1.MANAGER_TYPE.PARTNER)
            partnerSno = req.partnerSno;
        return await this.brandManagerService.findOne(brandNo, partnerSno);
    }
    async delete(req, dto) {
        dto.partnerSno = req.partnerSno;
        return this.brandManagerService.delete(dto);
    }
    async sync(req, partnerSno) {
        return await this.brandManagerService.sync(partnerSno);
    }
};
exports.BrandManagerController = BrandManagerController;
__decorate([
    (0, common_1.Post)(),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiOperation)({ summary: '브랜드 생성 2.0' }),
    (0, swagger_1.ApiQuery)({ type: brand_manager_insert_dto_1.BrandManagerInsertDto }),
    (0, swagger_1.ApiResponse)({ status: 200, type: brand_manager_entity_1.BrandManager }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, brand_manager_insert_dto_1.BrandManagerInsertDto]),
    __metadata("design:returntype", Promise)
], BrandManagerController.prototype, "create", null);
__decorate([
    (0, common_1.Put)(),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiOperation)({ summary: '브랜드 수정' }),
    (0, swagger_1.ApiQuery)({ type: brand_manager_update_dto_1.BrandManagerUpdateDto }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, brand_manager_update_dto_1.BrandManagerUpdateDto]),
    __metadata("design:returntype", Promise)
], BrandManagerController.prototype, "update", null);
__decorate([
    (0, common_1.Get)(),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiOperation)({ summary: '브랜드 리스트' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [brand_manager_entity_1.BrandManager] }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, brand_manager_search_dto_1.BrandManagerSearchDto]),
    __metadata("design:returntype", Promise)
], BrandManagerController.prototype, "find", null);
__decorate([
    (0, common_1.Get)('/:brandNo'),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiOperation)({ summary: '브랜드 조회' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: brand_manager_entity_1.BrandManager }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('brandNo')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], BrandManagerController.prototype, "findOne", null);
__decorate([
    (0, common_1.Delete)(),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiOperation)({ summary: '브랜드 삭제' }),
    (0, swagger_1.ApiQuery)({ type: brand_manager_delete_dto_1.BrandManagerDeleteDto }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, brand_manager_delete_dto_1.BrandManagerDeleteDto]),
    __metadata("design:returntype", Promise)
], BrandManagerController.prototype, "delete", null);
__decorate([
    (0, common_1.Get)('/sync/:partnerSno'),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiOperation)({ summary: '브랜드 리스트 동기화' }),
    (0, swagger_1.ApiResponse)({ status: 204 }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('partnerSno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], BrandManagerController.prototype, "sync", null);
exports.BrandManagerController = BrandManagerController = __decorate([
    (0, common_1.Controller)('app/brand/admin'),
    (0, swagger_1.ApiTags)('브랜드 관리 앱 API [Deprecated]'),
    __metadata("design:paramtypes", [brand_manager_service_1.BrandManagerService])
], BrandManagerController);
//# sourceMappingURL=brand-manager.admin.controller.js.map