import { DefaultService } from 'src/common/service/default.service';
import { BrandManagerInsertDto } from './dto/brand-manager.insert.dto';
import { BrandManager } from './entity/brand-manager.entity';
import { BrandManagerUpdateDto } from './dto/brand-manager.update.dto';
import { BrandManagerSearchDto } from './dto/brand-manager.search.dto';
import { PartnerService } from 'src/api/admin/partner/partner.service';
import { ModuleRef } from '@nestjs/core';
import { BrandManagerDeleteDto } from './dto/brand-manager.delete.dto';
export declare class BrandManagerService extends DefaultService {
    private partnerService;
    protected readonly moduleRef: ModuleRef;
    constructor(partnerService: PartnerService, moduleRef: ModuleRef);
    create(dto: BrandManagerInsertDto): Promise<any>;
    update(dto: BrandManagerUpdateDto): Promise<any>;
    findOne(brandNo: number, partnerSno?: number): Promise<any>;
    find(dto: BrandManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    delete(dto: BrandManagerDeleteDto): Promise<{
        result: boolean;
    }>;
    sync(partnerSno: number, systemKey?: any, longLivedToken?: any): Promise<BrandManager>;
}
