"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandManager = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const typeorm_1 = require("typeorm");
let BrandManager = class BrandManager {
};
exports.BrandManager = BrandManager;
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'brandNo' }),
    (0, typeorm_1.PrimaryColumn)(),
    (0, class_transformer_1.Exclude)(),
    __metadata("design:type", Number)
], BrandManager.prototype, "brandNo", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '고객사 번호', required: true }),
    __metadata("design:type", Number)
], BrandManager.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '상위 전시브랜드 번호 (상위전시브랜드가 없는 경우 0)',
        required: true,
    }),
    __metadata("design:type", Number)
], BrandManager.prototype, "parentNo", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '부가 브랜드명(최대 30자)', required: true }),
    __metadata("design:type", String)
], BrandManager.prototype, "subName", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '메인 브랜드명(최대 30자)', required: false }),
    __metadata("design:type", String)
], BrandManager.prototype, "mainName", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '브랜드 설명', required: false }),
    __metadata("design:type", String)
], BrandManager.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '브랜드 이미지 또는 브랜드 관련 동영상 url',
        required: false,
    }),
    __metadata("design:type", String)
], BrandManager.prototype, "displayAreaContentUrl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '추가정보', required: false }),
    __metadata("design:type", String)
], BrandManager.prototype, "extraInfo", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '브랜드 로고 이미지', required: false }),
    __metadata("design:type", String)
], BrandManager.prototype, "brandLogoImage", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '브랜드 추가 이미지<br>복수개일 경우 구분자로 전달 할 것!<br>ex)imgPath||linkUrl!!imgPath||linkUrl',
        required: false,
    }),
    __metadata("design:type", String)
], BrandManager.prototype, "brandExtraImage", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '노출순서', required: false }),
    __metadata("design:type", Number)
], BrandManager.prototype, "orderIndex", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, swagger_1.ApiProperty)({ description: '등록일' }),
    (0, class_transformer_1.Exclude)(),
    (0, typeorm_1.CreateDateColumn)(),
    __metadata("design:type", Date)
], BrandManager.prototype, "regDt", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, swagger_1.ApiProperty)({ description: '수정일' }),
    (0, class_transformer_1.Exclude)(),
    (0, class_validator_1.IsOptional)(),
    (0, typeorm_1.UpdateDateColumn)(),
    __metadata("design:type", Date)
], BrandManager.prototype, "updateDt", void 0);
exports.BrandManager = BrandManager = __decorate([
    (0, typeorm_1.Entity)('gs_brandManager')
], BrandManager);
//# sourceMappingURL=brand-manager.entity.js.map