"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CategoryLikeService = void 0;
const common_1 = require("@nestjs/common");
const default_service_1 = require("../../../common/service/default.service");
const enum_1 = require("../../../common/enum/enum");
const category_like_update_dto_1 = require("./dto/category-like.update.dto");
const category_like_entity_1 = require("./entity/category-like.entity");
let CategoryLikeService = class CategoryLikeService extends default_service_1.DefaultService {
    async create(dto) {
        if (dto.likeYn === enum_1.YN.Y) {
            return super.createBase(category_like_entity_1.CategoryLike, dto);
        }
        else {
            const entityManager = await this.getEntityManager();
            return (await entityManager.delete(category_like_entity_1.CategoryLike, {
                partnerSno: dto.partnerSno,
                categoryNo: dto.categoryNo,
                memNo: dto.memNo,
            })).affected > 0
                ? { result: true }
                : { result: false };
        }
    }
    async find(partnerSno, memNo) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(category_like_entity_1.CategoryLike, 'category');
        qb.andWhere('category.partnerSno=:partnerSno', { partnerSno });
        qb.andWhere('category.memNo=:memNo', { memNo }).select(['category.*']);
        return await qb.getRawMany();
    }
    async createArray(dto) {
        const entityManager = await this.getEntityManager();
        const categoryLike = new category_like_update_dto_1.CategoryLikeUpdateDto();
        categoryLike.memNo = dto.memNo;
        categoryLike.partnerSno = dto.partnerSno;
        categoryLike.likeYn = enum_1.YN.Y;
        for (const categoryNo of dto.categoryNos) {
            categoryLike.categoryNo = categoryNo;
            await super.createBase(category_like_entity_1.CategoryLike, categoryLike);
        }
    }
};
exports.CategoryLikeService = CategoryLikeService;
exports.CategoryLikeService = CategoryLikeService = __decorate([
    (0, common_1.Injectable)()
], CategoryLikeService);
//# sourceMappingURL=category-like.service.js.map