"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CityController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const code_service_1 = require("../../admin/code/code.service");
const code_entity_1 = require("../../admin/code/entity/code.entity");
let CityController = class CityController {
    constructor(codeService) {
        this.codeService = codeService;
    }
    getCityList() {
        return this.codeService.find({ parentKey: '001' });
    }
    getGuList(codeKey) {
        return this.codeService.find({ parentKey: codeKey });
    }
};
exports.CityController = CityController;
__decorate([
    (0, common_1.Get)(),
    (0, swagger_1.ApiOperation)({
        summary: '시 조회',
    }),
    (0, swagger_1.ApiParam)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)<br>(header)',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [code_entity_1.Code] }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], CityController.prototype, "getCityList", null);
__decorate([
    (0, common_1.Get)(':codeKey'),
    (0, swagger_1.ApiParam)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)<br>(header)',
    }),
    (0, swagger_1.ApiOperation)({
        summary: '구 조회, "시" 의 코드키를 파라메터로 사용',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [code_entity_1.Code] }),
    __param(0, (0, common_1.Param)('codeKey')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CityController.prototype, "getGuList", null);
exports.CityController = CityController = __decorate([
    (0, common_1.Controller)('app/common/city'),
    (0, swagger_1.ApiTags)('시/구 조회'),
    __metadata("design:paramtypes", [code_service_1.CodeService])
], CityController);
//# sourceMappingURL=city.controller.js.map