"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentAdminController = void 0;
const swagger_1 = require("@nestjs/swagger");
const comment_service_1 = require("./comment.service");
const common_1 = require("@nestjs/common");
const enum_1 = require("../../../common/enum/enum");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const comment_search_dto_1 = require("./dto/comment.search.dto");
let CommentAdminController = class CommentAdminController {
    constructor(commentService) {
        this.commentService = commentService;
    }
    async find(req, dto) {
        dto.partnerSno = req.partnerSno;
        return await this.commentService.find(dto);
    }
    async deleteComment(req, sno) {
        return await this.commentService.deleteCommentByAdmin(sno, req.partnerSno);
    }
};
exports.CommentAdminController = CommentAdminController;
__decorate([
    (0, common_1.Get)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, comment_search_dto_1.CommentSearchDto]),
    __metadata("design:returntype", Promise)
], CommentAdminController.prototype, "find", null);
__decorate([
    (0, common_1.Delete)('/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], CommentAdminController.prototype, "deleteComment", null);
exports.CommentAdminController = CommentAdminController = __decorate([
    (0, swagger_1.ApiTags)('[관리자] 댓글관리'),
    (0, common_1.Controller)('/app/comment/admin'),
    __metadata("design:paramtypes", [comment_service_1.CommentService])
], CommentAdminController);
//# sourceMappingURL=comment.admin.controller.js.map