import { CommentService } from './comment.service';
import { CommentInsertDto } from './dto/comment.insert.dto';
import { Comment } from './entity/comment.entity';
import { ICustomShopRequest } from 'src/common/interface/ICustomShopRequest';
import { CommentSearchDto } from './dto/comment.search.dto';
import { CommentUpdateDto } from './dto/comment.update.dto';
export declare class CommentController {
    private readonly commentService;
    constructor(commentService: CommentService);
    create(req: ICustomShopRequest, dto: CommentInsertDto): Promise<Comment>;
    find(req: ICustomShopRequest, dto: CommentSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    update(req: ICustomShopRequest, dto: CommentUpdateDto): Promise<import("typeorm").UpdateResult>;
    deleteComment(req: ICustomShopRequest, sno: number): Promise<import("typeorm").UpdateResult>;
}
