"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentController = void 0;
const common_1 = require("@nestjs/common");
const comment_service_1 = require("./comment.service");
const swagger_1 = require("@nestjs/swagger");
const comment_insert_dto_1 = require("./dto/comment.insert.dto");
const comment_entity_1 = require("./entity/comment.entity");
const comment_search_dto_1 = require("./dto/comment.search.dto");
const comment_update_dto_1 = require("./dto/comment.update.dto");
let CommentController = class CommentController {
    constructor(commentService) {
        this.commentService = commentService;
    }
    async create(req, dto) {
        var _a;
        dto.partnerSno = req.partnerSno;
        dto.memberId = (_a = req.shopResult['memberId']) !== null && _a !== void 0 ? _a : req.shopResult['memberName'];
        dto.memberNo = req.shopResult['memberNo'];
        return await this.commentService.create(dto);
    }
    async find(req, dto) {
        dto.partnerSno = req.partnerSno;
        return await this.commentService.find(dto);
    }
    async update(req, dto) {
        var _a;
        dto.partnerSno = req.partnerSno;
        dto.memberId = (_a = req.shopResult['memberId']) !== null && _a !== void 0 ? _a : req.shopResult['memberName'];
        dto.memberNo = req.shopResult['memberNo'];
        return this.commentService.update(dto);
    }
    async deleteComment(req, sno) {
        return this.commentService.deleteComment(sno, req.partnerSno, req.shopResult['memberNo']);
    }
};
exports.CommentController = CommentController;
__decorate([
    (0, common_1.Post)(),
    (0, swagger_1.ApiOperation)({ summary: '코멘트 등록' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: comment_entity_1.Comment }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)<br>(header)',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'clientId',
        required: true,
        description: 'shopby 클라이언트 아이디',
        example: 'dPapqohZU9nWTE11zwsDAg==',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'accessToken',
        required: true,
        description: '사용자 shopby accessToken',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'shopApiUrl',
        required: true,
        description: '/profile 고정',
        example: '/profile',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'apiMethod',
        required: true,
        description: 'GET 고정',
        example: 'GET',
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, comment_insert_dto_1.CommentInsertDto]),
    __metadata("design:returntype", Promise)
], CommentController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    (0, swagger_1.ApiOperation)({ summary: '코멘트 목록' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [comment_entity_1.Comment] }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)<br>(header)',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, comment_search_dto_1.CommentSearchDto]),
    __metadata("design:returntype", Promise)
], CommentController.prototype, "find", null);
__decorate([
    (0, common_1.Patch)(),
    (0, swagger_1.ApiOperation)({ summary: '코멘트 수정' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: comment_entity_1.Comment }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)<br>(header)',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'clientId',
        required: true,
        description: 'shopby 클라이언트 아이디',
        example: 'dPapqohZU9nWTE11zwsDAg==',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'accessToken',
        required: true,
        description: '사용자 shopby accessToken',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'shopApiUrl',
        required: true,
        description: '/profile 고정',
        example: '/profile',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'apiMethod',
        required: true,
        description: 'GET 고정',
        example: 'GET',
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, comment_update_dto_1.CommentUpdateDto]),
    __metadata("design:returntype", Promise)
], CommentController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)('/:sno'),
    (0, swagger_1.ApiOperation)({ summary: '코멘트 삭제' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)<br>(header)',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'clientId',
        required: true,
        description: 'shopby 클라이언트 아이디',
        example: 'dPapqohZU9nWTE11zwsDAg==',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'accessToken',
        required: true,
        description: '사용자 shopby accessToken',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'shopApiUrl',
        required: true,
        description: '/profile 고정',
        example: '/profile',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'apiMethod',
        required: true,
        description: 'GET 고정',
        example: 'GET',
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], CommentController.prototype, "deleteComment", null);
exports.CommentController = CommentController = __decorate([
    (0, swagger_1.ApiTags)('[사용자] 댓글'),
    (0, common_1.Controller)('/shop/app/comment'),
    __metadata("design:paramtypes", [comment_service_1.CommentService])
], CommentController);
//# sourceMappingURL=comment.controller.js.map