"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Comment = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const enum_1 = require("../../../../common/enum/enum");
const typeorm_1 = require("typeorm");
let Comment = class Comment extends common_entity_1.CommonEntity {
};
exports.Comment = Comment;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '고객사 번호', required: true }),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], Comment.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '상위 코멘트 sno', required: false }),
    __metadata("design:type", Number)
], Comment.prototype, "parentSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsEnum)(enum_1.CONTENT_TYPE),
    (0, swagger_1.ApiProperty)({ description: '코멘트 적용 타입', required: true }),
    __metadata("design:type", String)
], Comment.prototype, "contentType", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '매거진/게시글 번호', required: true }),
    __metadata("design:type", Number)
], Comment.prototype, "contentSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '작성자 아이디 (마스킹 처리)', required: true }),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", String)
], Comment.prototype, "memberId", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumberString)(),
    (0, swagger_1.ApiProperty)({ description: '작성자 회원번호', required: true }),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], Comment.prototype, "memberNo", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '댓글', required: true }),
    __metadata("design:type", String)
], Comment.prototype, "comment", void 0);
exports.Comment = Comment = __decorate([
    (0, typeorm_1.Entity)('gs_comment')
], Comment);
//# sourceMappingURL=comment.entity.js.map