import { CommonProductInfoService } from './common-product-info.service';
import { CommonProductInfoAdminCreateDto } from './dto/common-product-info.admin.create.dto';
import { CommonProductInfo } from './entity/common-product-info.entity';
import { CommonProductInfoAdminSearchDto } from './dto/common-product-info.admin.search.dto';
import { CommonProductInfoAdminUpdateDto } from './dto/common-product-info.admin.update.dto';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
export declare class CommonProductInfoAdminController {
    private readonly commonProductInfoService;
    constructor(commonProductInfoService: CommonProductInfoService);
    create(req: ICustomAdminRequest, dto: CommonProductInfoAdminCreateDto): Promise<{
        message: string;
        statusCode: number;
    }>;
    getSearchList(req: ICustomAdminRequest, dto: CommonProductInfoAdminSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(sno: number): Promise<CommonProductInfo>;
    update(dto: CommonProductInfoAdminUpdateDto): Promise<{
        status: import("@nestjs/common").HttpStatus;
        message: string;
    }>;
    remove(sno: number): Promise<{
        status: import("@nestjs/common").HttpStatus;
        message: string;
    }>;
}
