"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonProductInfoAdminController = void 0;
const common_1 = require("@nestjs/common");
const common_product_info_service_1 = require("./common-product-info.service");
const swagger_1 = require("@nestjs/swagger");
const common_product_info_admin_create_dto_1 = require("./dto/common-product-info.admin.create.dto");
const common_product_info_entity_1 = require("./entity/common-product-info.entity");
const common_product_info_admin_search_dto_1 = require("./dto/common-product-info.admin.search.dto");
const common_product_info_admin_update_dto_1 = require("./dto/common-product-info.admin.update.dto");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
let CommonProductInfoAdminController = class CommonProductInfoAdminController {
    constructor(commonProductInfoService) {
        this.commonProductInfoService = commonProductInfoService;
    }
    async create(req, dto) {
        return await this.commonProductInfoService.create(req.partnerSno, dto);
    }
    async getSearchList(req, dto) {
        const partnerSno = req.partnerSno;
        return await this.commonProductInfoService.getProductInfoList(partnerSno, dto);
    }
    async findOne(sno) {
        const result = await this.commonProductInfoService.findOne(sno);
        return result[0];
    }
    update(dto) {
        return this.commonProductInfoService.update(dto);
    }
    remove(sno) {
        return this.commonProductInfoService.remove(sno);
    }
};
exports.CommonProductInfoAdminController = CommonProductInfoAdminController;
__decorate([
    (0, common_1.Post)('/app/admin/common-product-info'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiBody)({ type: common_product_info_admin_create_dto_1.CommonProductInfoAdminCreateDto }),
    (0, swagger_1.ApiOperation)({
        summary: '상품 공통정보 저장',
        description: '상품 공통정보 저장 API 입니다.',
    }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: common_product_info_entity_1.CommonProductInfo }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, common_product_info_admin_create_dto_1.CommonProductInfoAdminCreateDto]),
    __metadata("design:returntype", Promise)
], CommonProductInfoAdminController.prototype, "create", null);
__decorate([
    (0, common_1.Get)('/app/admin/common-product-info'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiQuery)({ type: common_product_info_admin_search_dto_1.CommonProductInfoAdminSearchDto }),
    (0, swagger_1.ApiOperation)({
        summary: '상품 공통정보 검색',
        description: '상품 공통정보 검색 API 입니다.',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [common_product_info_entity_1.CommonProductInfo] }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, common_product_info_admin_search_dto_1.CommonProductInfoAdminSearchDto]),
    __metadata("design:returntype", Promise)
], CommonProductInfoAdminController.prototype, "getSearchList", null);
__decorate([
    (0, common_1.Get)('/app/admin/common-product-info/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({
        summary: '상품 공통정보 상세',
        description: '상품 공통정보 상세 API 입니다.',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: common_product_info_entity_1.CommonProductInfo }),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], CommonProductInfoAdminController.prototype, "findOne", null);
__decorate([
    (0, common_1.Put)('/app/admin/common-product-info/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({
        summary: '상품 공통정보 수정',
        description: '상품 공통정보 수정 API 입니다.',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: common_product_info_entity_1.CommonProductInfo }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [common_product_info_admin_update_dto_1.CommonProductInfoAdminUpdateDto]),
    __metadata("design:returntype", void 0)
], CommonProductInfoAdminController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)('/app/admin/common-product-info/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({
        summary: '상품 공통정보 삭제',
        description: '상품 공통정보 삭제 API 입니다.',
    }),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", void 0)
], CommonProductInfoAdminController.prototype, "remove", null);
exports.CommonProductInfoAdminController = CommonProductInfoAdminController = __decorate([
    (0, swagger_1.ApiTags)('[관리자] 상품 공통 정보 관리'),
    (0, common_1.Controller)(),
    __metadata("design:paramtypes", [common_product_info_service_1.CommonProductInfoService])
], CommonProductInfoAdminController);
//# sourceMappingURL=common-product-info.admin.controller.js.map