import { HttpStatus } from '@nestjs/common';
import { CommonProductInfo } from './entity/common-product-info.entity';
import { CommonProductInfoSearchDto } from './dto/common-product-info.search.dto';
import { CommonProductInfoAdminSearchDto } from './dto/common-product-info.admin.search.dto';
import { CommonProductInfoAdminUpdateDto } from './dto/common-product-info.admin.update.dto';
import { CommonProductInfoAdminCreateDto } from './dto/common-product-info.admin.create.dto';
import { DefaultService } from 'src/common/service/default.service';
export declare class CommonProductInfoService extends DefaultService {
    create(partnerSno: number, dto: CommonProductInfoAdminCreateDto): Promise<{
        message: string;
        statusCode: number;
    }>;
    getProductInfoList(partnerSno: number, dto: CommonProductInfoAdminSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(sno: number): Promise<CommonProductInfo[]>;
    update(dto: CommonProductInfoAdminUpdateDto): Promise<{
        status: HttpStatus;
        message: string;
    }>;
    remove(sno: number): Promise<{
        status: HttpStatus;
        message: string;
    }>;
    find(dto: CommonProductInfoSearchDto): Promise<CommonProductInfo[]>;
}
