"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonProductInfoService = void 0;
const common_1 = require("@nestjs/common");
const common_product_info_entity_1 = require("./entity/common-product-info.entity");
const typeorm_1 = require("typeorm");
const common_product_info_detail_entity_1 = require("./entity/common-product-info.detail.entity");
const typeorm_2 = require("typeorm");
const default_service_1 = require("../../../common/service/default.service");
const gsUtil_1 = require("../../../common/util/gsUtil");
let CommonProductInfoService = class CommonProductInfoService extends default_service_1.DefaultService {
    async create(partnerSno, dto) {
        const entityManager = await this.getEntityManager();
        dto.partnerSno = partnerSno;
        const result = await entityManager.save(common_product_info_entity_1.CommonProductInfo, dto);
        if (dto.targetList) {
            dto.targetList.map(async (value) => {
                const productInfoDetail = new common_product_info_detail_entity_1.CommonProductInfoDetail();
                productInfoDetail.relSno = result.sno;
                productInfoDetail.commonCd = value.sno;
                productInfoDetail.targetFl = dto.productInfoType;
                await entityManager.save(productInfoDetail);
            });
        }
        return { message: 'success', statusCode: 200 };
    }
    async getProductInfoList(partnerSno, dto) {
        const entityManager = await this.getEntityManager();
        let displayFl;
        if (dto.displayFl === 'true') {
            displayFl = true;
        }
        else if (dto.displayFl === 'false') {
            displayFl = false;
        }
        let whereArr = {
            partnerSno: partnerSno,
            displayFl: displayFl,
            displayType: dto.displayType,
            startDt: dto.startDt,
            endDt: dto.endDt,
        };
        if (dto.title) {
            whereArr = Object.assign(whereArr, { title: (0, typeorm_1.Like)(`%${dto.title}%`) });
        }
        const list = await entityManager
            .getRepository(common_product_info_entity_1.CommonProductInfo)
            .findAndCount({
            take: dto.take,
            skip: dto.skip,
            order: {
                sno: 'DESC',
            },
            where: whereArr,
        });
        const data = [list[0], list[1]];
        return (0, gsUtil_1.paginateResponse)(data, dto.page, dto.take);
    }
    async findOne(sno) {
        const entityManager = await this.getEntityManager();
        return await entityManager.getRepository(common_product_info_entity_1.CommonProductInfo).find({
            where: { sno: sno },
            relations: { targetList: true },
        });
    }
    async update(dto) {
        const entityManager = await this.getEntityManager();
        const productInfoDetailRepository = entityManager.getRepository(common_product_info_detail_entity_1.CommonProductInfoDetail);
        const { targetList } = dto, productInfoData = __rest(dto, ["targetList"]);
        const result = await entityManager.update(common_product_info_entity_1.CommonProductInfo, dto.sno, productInfoData);
        if (result.affected === 0) {
            throw new common_1.HttpException('수정 중 오류가 발생했습니다.', common_1.HttpStatus.BAD_REQUEST);
        }
        await productInfoDetailRepository.delete({ relSno: dto.sno });
        targetList === null || targetList === void 0 ? void 0 : targetList.map(async (value) => {
            const productInfoDetail = new common_product_info_detail_entity_1.CommonProductInfoDetail();
            productInfoDetail.relSno = dto.sno;
            productInfoDetail.commonCd = value.sno;
            productInfoDetail.targetFl = dto.productInfoType;
            await entityManager.save(productInfoDetail);
        });
        return { status: common_1.HttpStatus.OK, message: '수정 성공' };
    }
    async remove(sno) {
        if (!sno) {
            throw new common_1.HttpException('sno 값이 없습니다.', common_1.HttpStatus.BAD_REQUEST);
        }
        const entityManager = await this.getEntityManager();
        const productInfoRepository = entityManager.getRepository(common_product_info_entity_1.CommonProductInfo);
        const productInfoDetailRepository = entityManager.getRepository(common_product_info_detail_entity_1.CommonProductInfoDetail);
        await productInfoRepository.delete({ sno: sno });
        await productInfoDetailRepository.delete({ relSno: sno });
        return { status: common_1.HttpStatus.OK, message: '삭제 성공' };
    }
    async find(dto) {
        const entityManager = await this.getEntityManager();
        const commonCdArr = [dto.productNo, ...dto.categoryNos, dto.brandNo];
        const commonCd = commonCdArr.join(',');
        const qb = entityManager.createQueryBuilder(common_product_info_entity_1.CommonProductInfo, 'cpi');
        const data = await qb
            .leftJoinAndSelect('gs_common_product_info_detail', 'cpid', 'cpi.sno = cpid.relSno')
            .where(new typeorm_2.Brackets((qb) => {
            qb.where('cpid.commonCd IN (:...commonCd)', {
                commonCd: [commonCd],
            }).orWhere('cpi.productInfoType = (:...productInfoType)', {
                productInfoType: ['ALL'],
            });
        }))
            .andWhere('cpi.displayFl = :displayFl', { displayFl: 1 })
            .orderBy(`FIELD(cpi.productInfoType, 'GOODS', 'CATEGORY', 'BRAND', 'ALL')`)
            .addOrderBy('cpi.sno', 'DESC')
            .getMany();
        const today = new Date();
        const year = today.getFullYear();
        const month = (today.getMonth() + 1).toString().padStart(2, '0');
        const date = today.getDate();
        const todayDate = year + '-' + month + '-' + date;
        if (data.length === 0) {
            return data;
        }
        let periodCnt = 0;
        for (const elem of data) {
            if (elem.displayType !== 'ALWAYS') {
                if (todayDate >= elem.startDt && todayDate <= elem.endDt) {
                    periodCnt = periodCnt + 1;
                }
            }
        }
        if (periodCnt > 0) {
            for (const elem of data) {
                if (elem.displayType !== 'ALWAYS') {
                    if (todayDate >= elem.startDt && todayDate <= elem.endDt) {
                        return [elem];
                    }
                }
            }
        }
        else {
            for (const elem of data) {
                if (elem.displayType === 'ALWAYS') {
                    return [elem];
                }
            }
        }
        return data;
    }
};
exports.CommonProductInfoService = CommonProductInfoService;
exports.CommonProductInfoService = CommonProductInfoService = __decorate([
    (0, common_1.Injectable)()
], CommonProductInfoService);
//# sourceMappingURL=common-product-info.service.js.map