"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TargetListDto = exports.CommonProductInfoAdminCreateDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
const enum_1 = require("../../../../common/enum/enum");
class CommonProductInfoAdminCreateDto {
}
exports.CommonProductInfoAdminCreateDto = CommonProductInfoAdminCreateDto;
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '파트너 sno' }),
    __metadata("design:type", Number)
], CommonProductInfoAdminCreateDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '카테고리' }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "category", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '공통정보 제목', required: true }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "title", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    (0, swagger_1.ApiProperty)({ description: '타겟 리스트', required: true }),
    __metadata("design:type", Array)
], CommonProductInfoAdminCreateDto.prototype, "targetList", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, swagger_1.ApiProperty)({ description: 'PC/MO 공통정보 공통 사용 여부', required: true }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "contentSameFl", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '컨텐츠', required: true }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "contents", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '모바일 컨텐츠', required: true }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "mobileContents", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.TARGET_TYPE),
    (0, swagger_1.ApiProperty)({
        description: '상품 노출 조건',
        required: true,
        default: 'ALL',
    }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "productInfoType", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '예외 상품 노출 조건' }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "productInfoExceptType", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({ description: '노출여부', default: 'true' }),
    __metadata("design:type", Boolean)
], CommonProductInfoAdminCreateDto.prototype, "displayFl", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.DISPLAY_TYPE),
    (0, swagger_1.ApiProperty)({ description: '노출기간', default: 'ALWAYS' }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "displayType", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '노출 시작일' }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "startDt", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '노출 종료일' }),
    __metadata("design:type", String)
], CommonProductInfoAdminCreateDto.prototype, "endDt", void 0);
class TargetListDto {
}
exports.TargetListDto = TargetListDto;
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '상품 공통정보 리스트 내 이름' }),
    __metadata("design:type", String)
], TargetListDto.prototype, "label", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '상품 공통정보 리스트 내 번호' }),
    __metadata("design:type", Number)
], TargetListDto.prototype, "sno", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    (0, swagger_1.ApiProperty)({ description: '상품 공통정보 리스트 내 이미지 URL' }),
    __metadata("design:type", Array)
], TargetListDto.prototype, "imageUrls", void 0);
//# sourceMappingURL=common-product-info.admin.create.dto.js.map