"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonProductInfo = void 0;
const class_validator_1 = require("class-validator");
const typeorm_1 = require("typeorm");
const swagger_1 = require("@nestjs/swagger");
const common_product_info_detail_entity_1 = require("./common-product-info.detail.entity");
const common_entity_1 = require("../../../../common/entity/common.entity");
const enum_1 = require("../../../../common/enum/enum");
let CommonProductInfo = class CommonProductInfo extends common_entity_1.CommonEntity {
};
exports.CommonProductInfo = CommonProductInfo;
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '고객사 번호', required: true }),
    __metadata("design:type", Number)
], CommonProductInfo.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '공통정보 제목', required: true }),
    __metadata("design:type", String)
], CommonProductInfo.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({ description: '노출여부', required: true }),
    __metadata("design:type", Boolean)
], CommonProductInfo.prototype, "displayFl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsEnum)(enum_1.DISPLAY_TYPE),
    (0, swagger_1.ApiProperty)({ description: '노출타입', required: true }),
    __metadata("design:type", String)
], CommonProductInfo.prototype, "displayType", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '노출 시작일' }),
    __metadata("design:type", String)
], CommonProductInfo.prototype, "startDt", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, swagger_1.ApiProperty)({ description: '노출 종료일' }),
    __metadata("design:type", String)
], CommonProductInfo.prototype, "endDt", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsEnum)(enum_1.TARGET_TYPE),
    (0, swagger_1.ApiProperty)({ description: '노출타겟선택', required: true }),
    __metadata("design:type", String)
], CommonProductInfo.prototype, "productInfoType", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, swagger_1.ApiProperty)({ description: 'PC/MO 동일사용', required: true }),
    __metadata("design:type", String)
], CommonProductInfo.prototype, "contentSameFl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: 'PC 공통정보', required: true }),
    __metadata("design:type", String)
], CommonProductInfo.prototype, "contents", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: 'MO 공통정보' }),
    __metadata("design:type", String)
], CommonProductInfo.prototype, "mobileContents", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => common_product_info_detail_entity_1.CommonProductInfoDetail, (detail) => detail.productInfo),
    __metadata("design:type", Array)
], CommonProductInfo.prototype, "targetList", void 0);
exports.CommonProductInfo = CommonProductInfo = __decorate([
    (0, typeorm_1.Entity)('gs_common_product_info')
], CommonProductInfo);
//# sourceMappingURL=common-product-info.entity.js.map