import { CurationCardService } from './curation-card.service';
import { CurationInsertDto } from './dto/curation.insert.dto';
import { Curation } from './entity/curation.entity';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
import { CurationSearchDto } from './dto/curation.search.dto';
import { CurationUpdateDto } from './dto/curation.update.dto';
export declare class CurationCardAdminController {
    private readonly curationCardService;
    constructor(curationCardService: CurationCardService);
    create(req: ICustomAdminRequest, dto: CurationInsertDto): Promise<Curation>;
    getCurationListByGroupId(req: ICustomAdminRequest, groupId: string): Promise<Curation[]>;
    getCurationList(req: ICustomAdminRequest, dto: CurationSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    update(req: ICustomAdminRequest, dto: CurationUpdateDto): Promise<void>;
    deleteCuration(sno: number): Promise<void>;
    getCuration(req: ICustomAdminRequest, sno: number): Promise<Curation>;
}
