"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurationCardAdminController = void 0;
const common_1 = require("@nestjs/common");
const curation_card_service_1 = require("./curation-card.service");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const swagger_1 = require("@nestjs/swagger");
const curation_insert_dto_1 = require("./dto/curation.insert.dto");
const curation_entity_1 = require("./entity/curation.entity");
const curation_search_dto_1 = require("./dto/curation.search.dto");
const curation_update_dto_1 = require("./dto/curation.update.dto");
let CurationCardAdminController = class CurationCardAdminController {
    constructor(curationCardService) {
        this.curationCardService = curationCardService;
    }
    async create(req, dto) {
        dto.partnerSno = req.partnerSno;
        return this.curationCardService.create(dto);
    }
    async getCurationListByGroupId(req, groupId) {
        return this.curationCardService.getCurationListByGroupId(groupId, req.partnerSno, true);
    }
    async getCurationList(req, dto) {
        dto.partnerSno = req.partnerSno;
        return this.curationCardService.getCurationList(dto);
    }
    async update(req, dto) {
        dto.partnerSno = req.partnerSno;
        return this.curationCardService.update(dto);
    }
    async deleteCuration(sno) {
        return this.curationCardService.deleteCuration(sno);
    }
    async getCuration(req, sno) {
        return this.curationCardService.getCuration(sno, req.partnerSno);
    }
};
exports.CurationCardAdminController = CurationCardAdminController;
__decorate([
    (0, common_1.Post)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({ summary: '큐레이션 카드 등록' }),
    (0, swagger_1.ApiBody)({ type: curation_insert_dto_1.CurationInsertDto }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: curation_entity_1.Curation }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, curation_insert_dto_1.CurationInsertDto]),
    __metadata("design:returntype", Promise)
], CurationCardAdminController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({ summary: '그룹아이디로 큐레이션 카드 목록 조회' }),
    (0, swagger_1.ApiQuery)({ name: 'groupId', type: String, required: true }),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: '그룹아이디로 큐레이션 카드 목록 조회 성공',
        type: [curation_entity_1.Curation],
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)('groupId')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", Promise)
], CurationCardAdminController.prototype, "getCurationListByGroupId", null);
__decorate([
    (0, common_1.Get)('/list'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({ summary: '큐레이션 카드 목록 조회' }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, curation_search_dto_1.CurationSearchDto]),
    __metadata("design:returntype", Promise)
], CurationCardAdminController.prototype, "getCurationList", null);
__decorate([
    (0, common_1.Put)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({ summary: '큐레이션 카드 수정' }),
    (0, swagger_1.ApiBody)({ type: curation_update_dto_1.CurationUpdateDto }),
    (0, swagger_1.ApiCreatedResponse)({ description: '수정성공', type: curation_entity_1.Curation }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, curation_update_dto_1.CurationUpdateDto]),
    __metadata("design:returntype", Promise)
], CurationCardAdminController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)('/detail/:sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({ summary: '큐레이션 카드 삭제' }),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], CurationCardAdminController.prototype, "deleteCuration", null);
__decorate([
    (0, common_1.Get)(':sno'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({ summary: '큐레이션 카드 상세 조회' }),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: '큐레이션 카드 상세 조회 성공',
        type: curation_entity_1.Curation,
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], CurationCardAdminController.prototype, "getCuration", null);
exports.CurationCardAdminController = CurationCardAdminController = __decorate([
    (0, swagger_1.ApiTags)('[관리자] 큐레이션 카드 관리'),
    (0, common_1.Controller)('/app/admin/curation-card'),
    __metadata("design:paramtypes", [curation_card_service_1.CurationCardService])
], CurationCardAdminController);
//# sourceMappingURL=curation-card.admin.controller.js.map