"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurationInsertDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const enum_1 = require("../../../../common/enum/enum");
const curation_product_display_insert_dto_1 = require("./curation-product-display.insert.dto");
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
class TagDto {
}
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 태그', required: true }),
    __metadata("design:type", String)
], TagDto.prototype, "tagName", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 태그 색상', required: true }),
    __metadata("design:type", String)
], TagDto.prototype, "tagColor", void 0);
class ThumbnailDto {
}
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 대표이미지 PC', required: true }),
    __metadata("design:type", String)
], ThumbnailDto.prototype, "pcImgUrl", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 대표이미지 MO', required: true }),
    __metadata("design:type", String)
], ThumbnailDto.prototype, "mobileImgUrl", void 0);
class CurationInsertDto {
}
exports.CurationInsertDto = CurationInsertDto;
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], CurationInsertDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], CurationInsertDto.prototype, "managerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 그룹 ID', required: true }),
    __metadata("design:type", String)
], CurationInsertDto.prototype, "groupId", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 제목', required: true }),
    __metadata("design:type", String)
], CurationInsertDto.prototype, "title", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 설명', required: true }),
    __metadata("design:type", String)
], CurationInsertDto.prototype, "description", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 순서', required: true }),
    __metadata("design:type", Number)
], CurationInsertDto.prototype, "displayOrder", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 노출여부', required: true }),
    __metadata("design:type", Boolean)
], CurationInsertDto.prototype, "displayFl", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.DISPLAY_TYPE),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 노출기간', required: true }),
    __metadata("design:type", String)
], CurationInsertDto.prototype, "displayType", void 0);
__decorate([
    (0, class_validator_1.IsObject)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => TagDto),
    (0, swagger_1.ApiProperty)({ type: TagDto }),
    __metadata("design:type", TagDto)
], CurationInsertDto.prototype, "tag", void 0);
__decorate([
    (0, class_validator_1.IsObject)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => ThumbnailDto),
    (0, swagger_1.ApiProperty)({ type: ThumbnailDto }),
    __metadata("design:type", ThumbnailDto)
], CurationInsertDto.prototype, "thumbnail", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 노출 시작일', required: false }),
    __metadata("design:type", String)
], CurationInsertDto.prototype, "startDt", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 노출 종료일', required: false }),
    __metadata("design:type", String)
], CurationInsertDto.prototype, "endDt", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 링크 URL', required: true }),
    __metadata("design:type", String)
], CurationInsertDto.prototype, "landingUrl", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '큐레이션 페이지 새 창으로 열기',
        required: false,
        default: true,
    }),
    __metadata("design:type", Boolean)
], CurationInsertDto.prototype, "blankFl", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.CURATION_PRODUCT_DISPLAY_TYPE),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 상품진열 타입', required: true }),
    __metadata("design:type", String)
], CurationInsertDto.prototype, "productDisplayType", void 0);
__decorate([
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => curation_product_display_insert_dto_1.CurationProductDisplayInsertDto),
    (0, swagger_1.ApiProperty)({
        description: '큐레이션 상품 진열 정보',
        required: true,
        type: curation_product_display_insert_dto_1.CurationProductDisplayInsertDto,
    }),
    __metadata("design:type", Array)
], CurationInsertDto.prototype, "productDisplay", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 추가 정보', required: false }),
    __metadata("design:type", String)
], CurationInsertDto.prototype, "additionalInfo", void 0);
//# sourceMappingURL=curation.insert.dto.js.map