"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Curation = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const enum_1 = require("../../../../common/enum/enum");
const typeorm_1 = require("typeorm");
const curation_product_display_entity_1 = require("./curation-product-display.entity");
let Curation = class Curation extends common_entity_1.CommonEntity {
};
exports.Curation = Curation;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], Curation.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '그룹 ID', required: true }),
    __metadata("design:type", String)
], Curation.prototype, "groupId", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 타이틀', required: true }),
    __metadata("design:type", String)
], Curation.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 설명', required: true }),
    __metadata("design:type", String)
], Curation.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 순서', required: true }),
    __metadata("design:type", Number)
], Curation.prototype, "displayOrder", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: true }),
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({ description: '노출여부', required: true }),
    __metadata("design:type", Boolean)
], Curation.prototype, "displayFl", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'enum', enum: enum_1.DISPLAY_TYPE, default: enum_1.DISPLAY_TYPE.ALWAYS }),
    (0, class_validator_1.IsEnum)(enum_1.DISPLAY_TYPE),
    (0, swagger_1.ApiProperty)({ description: '노출기간', required: true }),
    __metadata("design:type", String)
], Curation.prototype, "displayType", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '노출 시작일', required: false }),
    __metadata("design:type", String)
], Curation.prototype, "startDt", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '노출 종료일', required: false }),
    __metadata("design:type", String)
], Curation.prototype, "endDt", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '대표이미지 PC', required: false }),
    __metadata("design:type", String)
], Curation.prototype, "pcImgUrl", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '대표이미지 MO', required: false }),
    __metadata("design:type", String)
], Curation.prototype, "mobileImgUrl", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '링크 URL', required: false }),
    __metadata("design:type", String)
], Curation.prototype, "landingUrl", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: true }),
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({
        description: '페이지 새 창으로 열기',
        required: true,
        default: true,
    }),
    __metadata("design:type", Boolean)
], Curation.prototype, "blankFl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '태그', required: true }),
    __metadata("design:type", String)
], Curation.prototype, "tagName", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '태그 색상', required: true }),
    __metadata("design:type", String)
], Curation.prototype, "tagColor", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: enum_1.CURATION_PRODUCT_DISPLAY_TYPE,
        default: enum_1.CURATION_PRODUCT_DISPLAY_TYPE.LIST,
    }),
    (0, class_validator_1.IsEnum)(enum_1.CURATION_PRODUCT_DISPLAY_TYPE),
    (0, swagger_1.ApiProperty)({ description: '상품진열 타입', required: true }),
    __metadata("design:type", String)
], Curation.prototype, "productDisplayType", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'text', nullable: true }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '추가 정보', required: false }),
    __metadata("design:type", String)
], Curation.prototype, "additionalInfo", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => curation_product_display_entity_1.CurationProductDisplay, (display) => display.curation, {
        cascade: true,
    }),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_validator_1.IsArray)(),
    (0, class_transformer_1.Type)(() => curation_product_display_entity_1.CurationProductDisplay),
    (0, swagger_1.ApiProperty)({
        type: () => [curation_product_display_entity_1.CurationProductDisplay],
        isArray: true,
        description: '상품 진열 정보',
    }),
    __metadata("design:type", Array)
], Curation.prototype, "productDisplay", void 0);
exports.Curation = Curation = __decorate([
    (0, typeorm_1.Entity)('gs_curation')
], Curation);
//# sourceMappingURL=curation.entity.js.map