"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MagazineUpdateDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const enum_1 = require("../../../../common/enum/enum");
class MagazineUpdateDto {
}
exports.MagazineUpdateDto = MagazineUpdateDto;
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '컨텐츠 sno', required: true }),
    __metadata("design:type", Number)
], MagazineUpdateDto.prototype, "sno", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], MagazineUpdateDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], MagazineUpdateDto.prototype, "managerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '카테고리', required: false, maxLength: 50 }),
    __metadata("design:type", String)
], MagazineUpdateDto.prototype, "category", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '대표이미지', required: true, maxLength: 500 }),
    __metadata("design:type", String)
], MagazineUpdateDto.prototype, "mainImg", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '제목', required: true, maxLength: 100 }),
    __metadata("design:type", String)
], MagazineUpdateDto.prototype, "title", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '소제목', required: false }),
    __metadata("design:type", String)
], MagazineUpdateDto.prototype, "subTitle", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '컨텐츠', required: true }),
    __metadata("design:type", String)
], MagazineUpdateDto.prototype, "contents", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '태그',
        example: '#긱스튜디오 #매거진 #테스트',
        required: true,
        maxLength: 200,
    }),
    __metadata("design:type", String)
], MagazineUpdateDto.prototype, "tag", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '노출여부', required: true, default: true }),
    __metadata("design:type", Boolean)
], MagazineUpdateDto.prototype, "displayFl", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.DISPLAY_TYPE),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '노출기간 ALWAYS: 항상, PERIOD: 기간설정',
        default: 'ALWAYS',
    }),
    __metadata("design:type", String)
], MagazineUpdateDto.prototype, "displayType", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '노출 시작일', required: false }),
    __metadata("design:type", String)
], MagazineUpdateDto.prototype, "startDt", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '노출 종료일', required: false }),
    __metadata("design:type", String)
], MagazineUpdateDto.prototype, "endDt", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({ description: '댓글 사용 여부', required: true, default: true }),
    __metadata("design:type", Boolean)
], MagazineUpdateDto.prototype, "useComment", void 0);
//# sourceMappingURL=magazine.update.dto.js.map