"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Magazine = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const enum_1 = require("../../../../common/enum/enum");
const typeorm_1 = require("typeorm");
const magazine_summary_dto_1 = require("../dto/magazine.summary.dto");
let Magazine = class Magazine extends common_entity_1.CommonEntity {
};
exports.Magazine = Magazine;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '고객사 번호', required: true }),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], Magazine.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '작성자 번호', required: true }),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], Magazine.prototype, "managerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '카테고리', required: false, maxLength: 50 }),
    __metadata("design:type", String)
], Magazine.prototype, "category", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '대표이미지', required: true, maxLength: 500 }),
    __metadata("design:type", String)
], Magazine.prototype, "mainImg", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '제목', required: true, maxLength: 100 }),
    __metadata("design:type", String)
], Magazine.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '소제목', required: false }),
    __metadata("design:type", String)
], Magazine.prototype, "subTitle", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '컨텐츠', required: true }),
    __metadata("design:type", String)
], Magazine.prototype, "contents", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '태그', required: true, maxLength: 200 }),
    __metadata("design:type", String)
], Magazine.prototype, "tag", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({ description: '노출여부', required: true, default: true }),
    __metadata("design:type", Boolean)
], Magazine.prototype, "displayFl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsEnum)(enum_1.DISPLAY_TYPE),
    (0, swagger_1.ApiProperty)({
        description: '노출기간 ALWAYS: 항상, PERIOD: 기간설정',
        default: 'ALWAYS',
    }),
    __metadata("design:type", String)
], Magazine.prototype, "displayType", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '노출 시작일', required: false }),
    __metadata("design:type", String)
], Magazine.prototype, "startDt", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '노출 종료일', required: false }),
    __metadata("design:type", String)
], Magazine.prototype, "endDt", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({ description: '댓글 사용 여부', required: true, default: true }),
    __metadata("design:type", Boolean)
], Magazine.prototype, "useComment", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: '댓글 수' }),
    __metadata("design:type", Number)
], Magazine.prototype, "commentCnt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: '이전글' }),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", magazine_summary_dto_1.magazineSummaryDto)
], Magazine.prototype, "prevMagazine", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: '다음글' }),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", magazine_summary_dto_1.magazineSummaryDto)
], Magazine.prototype, "nextMagazine", void 0);
exports.Magazine = Magazine = __decorate([
    (0, typeorm_1.Entity)('gs_magazine')
], Magazine);
//# sourceMappingURL=magazine.entity.js.map