import { MagazineService } from './magazine.service';
import { MagazineInsertDto } from './dto/magazine.insert.dto';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
import { MagazineAdminSearchDto } from './dto/magazine.admin.search.dto';
import { MagazineUpdateDto } from './dto/magazine.update.dto';
import { Magazine } from './entity/magazine.entity';
export declare class MagazineAdminController {
    private readonly magazineService;
    constructor(magazineService: MagazineService);
    create(req: ICustomAdminRequest, dto: MagazineInsertDto): Promise<Magazine>;
    findForAdmin(req: ICustomAdminRequest, dto: MagazineAdminSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOneForAdmin(req: ICustomAdminRequest, sno: number): Promise<any>;
    update(req: ICustomAdminRequest, dto: MagazineUpdateDto): Promise<import("typeorm").UpdateResult>;
    delete(req: ICustomAdminRequest, sno: number): Promise<{
        result: boolean;
    }>;
}
