"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MagazineController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const magazine_service_1 = require("./magazine.service");
const magazine_entity_1 = require("./entity/magazine.entity");
const magazine_search_dto_1 = require("./dto/magazine.search.dto");
let MagazineController = class MagazineController {
    constructor(magazineService) {
        this.magazineService = magazineService;
    }
    async find(req, dto) {
        dto.partnerSno = req.partnerSno;
        dto.displayFl = true;
        return this.magazineService.find(dto);
    }
    async findOne(req, sno) {
        return this.magazineService.findOne(req.partnerSno, sno);
    }
};
exports.MagazineController = MagazineController;
__decorate([
    (0, common_1.Get)(),
    (0, swagger_1.ApiOperation)({ summary: '매거진 목록' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [magazine_entity_1.Magazine] }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, magazine_search_dto_1.MagazineSearchDto]),
    __metadata("design:returntype", Promise)
], MagazineController.prototype, "find", null);
__decorate([
    (0, common_1.Get)('/:sno'),
    (0, swagger_1.ApiOperation)({ summary: '매거진 조회' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: magazine_entity_1.Magazine }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], MagazineController.prototype, "findOne", null);
exports.MagazineController = MagazineController = __decorate([
    (0, swagger_1.ApiTags)('[사용자] 매거진'),
    (0, common_1.Controller)('app/magazine'),
    __metadata("design:paramtypes", [magazine_service_1.MagazineService])
], MagazineController);
//# sourceMappingURL=magazine.controller.js.map