import { DefaultService } from 'src/common/service/default.service';
import { MagazineInsertDto } from './dto/magazine.insert.dto';
import { Magazine } from './entity/magazine.entity';
import { MagazineAdminSearchDto } from './dto/magazine.admin.search.dto';
import { MagazineUpdateDto } from './dto/magazine.update.dto';
import { MagazineSearchDto } from './dto/magazine.search.dto';
export declare class MagazineService extends DefaultService {
    create(dto: MagazineInsertDto): Promise<Magazine>;
    findForAdmin(dto: MagazineAdminSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    find(dto: MagazineSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOneForAdmin(sno: number, partnerSno?: number): Promise<any>;
    findOne(partnerSno: number, sno: number): Promise<any>;
    private getMagazine;
    update(dto: MagazineUpdateDto): Promise<import("typeorm").UpdateResult>;
    deleteMagazine(partnerSno: number, managerSno: number, sno: number): Promise<{
        result: boolean;
    }>;
}
