"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemberInsertDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
class MemberInsertDto {
}
exports.MemberInsertDto = MemberInsertDto;
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '회원 아이디', required: true }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "memberId", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '비밀번호', required: true }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "password", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '유저가 회원가입 시, 점유인증 했는지 여부 (이메일 or 휴대폰 SMS로 인증번호 발송하여 인증하는 방식을 의미. NHN KCP 휴대폰 본인인증과는 별개)',
        required: false,
    }),
    __metadata("design:type", Boolean)
], MemberInsertDto.prototype, "certificated", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '본인인증 정보 (CI)  이미 NHN KCP 본인인증을 진행한 경우, CI 값 필수입력 (',
        required: false,
    }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "ci", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '생년월일. yyyyMMdd', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "birthday", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '성', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "lastName", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '(국내, 해외 겸용) 도시', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "city", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '사업자 회원 회사명', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "businessName", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '거주 국가 : KR', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "countryCd", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '이름(nullable 하고 firstName, lastName 으로 대체 가능) ',
        required: false,
    }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "memberName", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '우편번호', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "zipCd", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '추천인 아이디', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "recommenderId", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '이메일 알림 수신 동의 여부', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "directMailAgreed", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '추가 정보(JSON)',
        required: false,
        example: '{ "key" : "value" }',
    }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "additionalInfo", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '닉네임', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "nickname", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '가입시 동의한 추가 선택 동의 항목',
        required: false,
        example: '[1,2]',
    }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "customTermsNos", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '(국내, 해외 겸용) 국내: 군/구, 해외: 주 ',
        required: false,
    }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "state", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '그룹 번호', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "groupNo", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '이메일', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "email", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '지번주소 상세 ', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "jibunDetailAddress", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '도로명주소', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "address", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: 'SMS 알림 수신 동의 여부', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "smsAgreed", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '성별 F: 여성, M: 남성 ', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "sex", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '지번주소', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "jibunAddress", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: 'openId 액세스 토큰', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "openIdAccessToken", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '휴대폰번호(필수 권장) (', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "mobileNo", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '이름(성) ', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "firstName", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '전화번호', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "telephoneNo", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '사업자 회원 사업자등록번호', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "registrationNo", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '가입시 동의한 선택 동의 항목',
        required: false,
        example: [
            '이용약관: USE',
            '회원가입시 개인정보 수집/이용(필수): PI_COLLECTION_AND_USE_REQUIRED',
            '회원가입 시 개인정보 수집/이용(선택): PI_COLLECTION_AND_USE_OPTIONAL',
            '개인정보 처리/위탁: PI_PROCESS_CONSIGNMENT',
            '개인정보 제3자 제공: PI_THIRD_PARTY_PROVISION',
            '만 14세 이상 가입 동의(2024.03.27 반영 예정) : PI_14_AGE',
        ],
    }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "joinTermsAgreements", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '도로명주소 상세', required: false }),
    __metadata("design:type", String)
], MemberInsertDto.prototype, "detailAddress", void 0);
//# sourceMappingURL=member.insert.dto.js.map