"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemberSyncController = void 0;
const common_1 = require("@nestjs/common");
const member_sync_service_1 = require("./member-sync.service");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const swagger_1 = require("@nestjs/swagger");
const member_insert_dto_1 = require("./dto/member.insert.dto");
const member_sync_entity_1 = require("./entity/member-sync.entity");
const member_sync_search_dto_1 = require("./dto/member-sync.search.dto");
let MemberSyncController = class MemberSyncController {
    constructor(memberSyncService) {
        this.memberSyncService = memberSyncService;
    }
    async create(req, dto) {
        const partnerSno = req.partnerSno;
        return await this.memberSyncService.memberSync(partnerSno, dto);
    }
    async memberSyncList(req, dto) {
        return this.memberSyncService.memberSyncList(req.partnerSno, dto);
    }
};
exports.MemberSyncController = MemberSyncController;
__decorate([
    (0, common_1.Post)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiOperation)({ summary: '대량회원등록' }),
    (0, swagger_1.ApiQuery)({ type: [member_insert_dto_1.MemberInsertDto] }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: [member_sync_entity_1.MemberSyncLog] }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Array]),
    __metadata("design:returntype", Promise)
], MemberSyncController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiOperation)({ summary: '대량회원 등록 로그 목록' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [member_sync_entity_1.MemberSyncLog] }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, member_sync_search_dto_1.MemberSyncSearchDto]),
    __metadata("design:returntype", Promise)
], MemberSyncController.prototype, "memberSyncList", null);
exports.MemberSyncController = MemberSyncController = __decorate([
    (0, swagger_1.ApiTags)('대량 회원 등록'),
    (0, common_1.Controller)('app/common/admin/member-sync'),
    __metadata("design:paramtypes", [member_sync_service_1.MemberSyncService])
], MemberSyncController);
//# sourceMappingURL=member-sync.controller.js.map