"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemberSyncService = void 0;
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const partner_service_1 = require("../../admin/partner/partner.service");
const enum_1 = require("../../../common/enum/enum");
const default_service_1 = require("../../../common/service/default.service");
const gsUtil_1 = require("../../../common/util/gsUtil");
const axios_1 = __importDefault(require("axios"));
const member_sync_entity_1 = require("./entity/member-sync.entity");
let MemberSyncService = class MemberSyncService extends default_service_1.DefaultService {
    constructor(partnerService, moduleRef) {
        super(moduleRef);
        this.partnerService = partnerService;
        this.moduleRef = moduleRef;
    }
    async memberSync(partnerSno, arrDto) {
        const partner = await this.partnerService.findOne(partnerSno);
        const headers = {
            clientid: partner.serverKey,
            version: '1.0',
            platform: 'PC',
            'Content-Type': 'application/json',
        };
        const result = [];
        for (const dto of arrDto) {
            const param = Object.assign({}, dto);
            let message = '성공했습니다.';
            let successFl = enum_1.YN.Y;
            const response = await axios_1.default
                .post(process.env.SHOPBY_SHOP_API_HOST + '/profile', param, {
                headers: headers,
            })
                .catch(function (error) {
                successFl = enum_1.YN.N;
                message = error.response.data.message;
                return null;
            });
            const entityManager = await this.getEntityManager();
            const request = JSON.stringify(dto);
            result.push(entityManager.save(member_sync_entity_1.MemberSyncLog, {
                partnerSno: partnerSno,
                memberId: dto.memberId,
                request: request,
                successFl,
                message: message,
            }));
        }
    }
    async memberSyncList(partnerSno, dto) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager
            .createQueryBuilder(member_sync_entity_1.MemberSyncLog, 'member')
            .select(['member.*']);
        qb.andWhere('partnerSno = :partnerSno', {
            partnerSno: partnerSno,
        });
        if (dto.memberId) {
            qb.andWhere('memberId LIKE :memberId', {
                memberId: `%${dto.memberId}%`,
            });
        }
        if (dto.successFl) {
            qb.andWhere('successFl=:successFl', {
                successFl: dto.successFl,
            });
        }
        if (dto.startDate) {
            qb.andWhere('successFl=:successFl', {
                successFl: dto.successFl,
            });
        }
        if (dto.startDate && dto.endDate) {
            qb.andWhere('regDt BETWEEN :startDate AND :endDate', {
                startDate: dto.startDate,
                endDate: dto.endDate + ' 23:59:59',
            });
        }
        qb.offset(dto.skip);
        qb.limit(dto.take);
        qb.orderBy('regDt', 'DESC');
        const list = await qb.getRawMany();
        const count = await qb.getCount();
        const data = [list, count];
        return (0, gsUtil_1.paginateResponse)(data, dto.page, dto.take);
    }
};
exports.MemberSyncService = MemberSyncService;
exports.MemberSyncService = MemberSyncService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [partner_service_1.PartnerService,
        core_1.ModuleRef])
], MemberSyncService);
//# sourceMappingURL=member-sync.service.js.map