"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchRankingController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const search_ranking_service_1 = require("./search-ranking.service");
let SearchRankingController = class SearchRankingController {
    constructor(searchRankingService) {
        this.searchRankingService = searchRankingService;
    }
    async incrementKeyword(req, keyword) {
        if (!keyword)
            return;
        const ip = req.ip;
        return this.searchRankingService.incrementKeyword(req.partnerSno, ip, keyword);
    }
    async getKeywordRanking(req) {
        return await this.searchRankingService.getKeywordRanking(req.partnerSno);
    }
    async getSnapshots(req) {
        return this.searchRankingService.getAllSnapshots(req.partnerSno);
    }
    async saveSnapshots(req) {
        return this.searchRankingService.snapshotCurrentRanking(req.partnerSno);
    }
};
exports.SearchRankingController = SearchRankingController;
__decorate([
    (0, common_1.Post)('/app/search-ranking'),
    (0, swagger_1.ApiOperation)({ summary: '검색어 등록' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)('keyword')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", Promise)
], SearchRankingController.prototype, "incrementKeyword", null);
__decorate([
    (0, common_1.Get)('/app/search-ranking'),
    (0, swagger_1.ApiOperation)({ summary: '실시간 순위 가져오기' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: '순위 결과',
        schema: {
            type: 'array',
            items: {
                type: 'object',
                properties: {
                    ranking: {
                        type: 'number',
                        description: '순위',
                    },
                    keyword: {
                        type: 'string',
                        description: '키워드',
                    },
                    score: {
                        type: 'number',
                        description: '검색 수',
                    },
                    change: {
                        type: 'number',
                        description: '순위 변화, 0 : 변화없음, 양수 : 상승, 음수 : 하락',
                    },
                },
            },
        },
    }),
    __param(0, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], SearchRankingController.prototype, "getKeywordRanking", null);
__decorate([
    (0, common_1.Get)('/app/search-ranking/snapshots'),
    (0, swagger_1.ApiOperation)({ summary: '스냅샷 정보 가져오기  - 테스트용' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    __param(0, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], SearchRankingController.prototype, "getSnapshots", null);
__decorate([
    (0, common_1.Post)('/app/search-ranking/snapshots'),
    (0, swagger_1.ApiOperation)({ summary: '스냅샷 저장' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    __param(0, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], SearchRankingController.prototype, "saveSnapshots", null);
exports.SearchRankingController = SearchRankingController = __decorate([
    (0, swagger_1.ApiTags)('[사용자] 실시간 검색 순위'),
    (0, common_1.Controller)(),
    __metadata("design:paramtypes", [search_ranking_service_1.SearchRankingService])
], SearchRankingController);
//# sourceMappingURL=search-ranking.controller.js.map