import { ShopManagerInsertDto } from './dto/shop-manager.insert.dto';
import { ShopManagerService } from './shop-manager.service';
import { ShopManagerUpdateDto } from './dto/shop-manager.update.dto';
import { ShopManagerSearchDto } from './dto/shop-manager.search.dto';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
import { ShopManager } from './entity/shop-manager.entity';
import { ICustomUserRequest } from 'src/common/interface/ICustomUserRequest';
export declare class ShopManagerController {
    private shopManagerService;
    constructor(shopManagerService: ShopManagerService);
    create(req: ICustomAdminRequest, dto: ShopManagerInsertDto): Promise<ShopManager>;
    update(req: ICustomAdminRequest, dto: ShopManagerUpdateDto): Promise<ShopManager>;
    find(req: ICustomUserRequest, dto: ShopManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(req: ICustomAdminRequest, sno: number): Promise<any>;
}
