"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopManagerController = void 0;
const common_1 = require("@nestjs/common");
const shop_manager_insert_dto_1 = require("./dto/shop-manager.insert.dto");
const shop_manager_service_1 = require("./shop-manager.service");
const shop_manager_update_dto_1 = require("./dto/shop-manager.update.dto");
const shop_manager_search_dto_1 = require("./dto/shop-manager.search.dto");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const swagger_1 = require("@nestjs/swagger");
const shop_manager_entity_1 = require("./entity/shop-manager.entity");
let ShopManagerController = class ShopManagerController {
    constructor(shopManagerService) {
        this.shopManagerService = shopManagerService;
    }
    async create(req, dto) {
        if (req.managerType == enum_1.MANAGER_TYPE.PARTNER)
            dto.partnerSno = req.partnerSno;
        else {
            if (!dto.partnerSno)
                throw new common_1.HttpException('제휴사 번호를 입력하세요.', common_1.HttpStatus.BAD_REQUEST);
        }
        return this.shopManagerService.create(dto);
    }
    async update(req, dto) {
        if (req.managerType == enum_1.MANAGER_TYPE.PARTNER)
            dto.partnerSno = req.partnerSno;
        else {
            if (!dto.partnerSno)
                throw new common_1.HttpException('제휴사 번호를 입력하세요.', common_1.HttpStatus.BAD_REQUEST);
        }
        return this.shopManagerService.update(dto);
    }
    async find(req, dto) {
        if (req.managerType == enum_1.MANAGER_TYPE.PARTNER) {
            dto.partnerSno = req.partnerSno;
        }
        return await this.shopManagerService.find(dto);
    }
    async findOne(req, sno) {
        let partnerSno = null;
        if (req.managerType == enum_1.MANAGER_TYPE.PARTNER) {
            partnerSno = req.partnerSno;
        }
        return await this.shopManagerService.findOne(sno, partnerSno);
    }
};
exports.ShopManagerController = ShopManagerController;
__decorate([
    (0, common_1.Post)(),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiOperation)({ summary: '매장등록' }),
    (0, swagger_1.ApiQuery)({ type: shop_manager_insert_dto_1.ShopManagerInsertDto }),
    (0, swagger_1.ApiResponse)({ status: 200, type: shop_manager_entity_1.ShopManager }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, shop_manager_insert_dto_1.ShopManagerInsertDto]),
    __metadata("design:returntype", Promise)
], ShopManagerController.prototype, "create", null);
__decorate([
    (0, common_1.Patch)(),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    (0, swagger_1.ApiOperation)({ summary: '매장정보 수정' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: shop_manager_entity_1.ShopManager }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, shop_manager_update_dto_1.ShopManagerUpdateDto]),
    __metadata("design:returntype", Promise)
], ShopManagerController.prototype, "update", null);
__decorate([
    (0, common_1.Get)(),
    (0, swagger_1.ApiOperation)({ summary: '매장 리스트' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [shop_manager_entity_1.ShopManager] }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, shop_manager_search_dto_1.ShopManagerSearchDto]),
    __metadata("design:returntype", Promise)
], ShopManagerController.prototype, "find", null);
__decorate([
    (0, common_1.Get)('/:sno'),
    (0, swagger_1.ApiOperation)({ summary: '매장 조회' }),
    (0, swagger_1.ApiResponse)({ status: 200, type: shop_manager_entity_1.ShopManager }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], ShopManagerController.prototype, "findOne", null);
exports.ShopManagerController = ShopManagerController = __decorate([
    (0, common_1.Controller)('app/shop'),
    (0, swagger_1.ApiTags)('매장 관리 앱 API'),
    __metadata("design:paramtypes", [shop_manager_service_1.ShopManagerService])
], ShopManagerController);
//# sourceMappingURL=shop-manager.controller.js.map