"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopManagerService = void 0;
const common_1 = require("@nestjs/common");
const default_service_1 = require("../../../common/service/default.service");
const shop_manager_entity_1 = require("./entity/shop-manager.entity");
const gsUtil_1 = require("../../../common/util/gsUtil");
let ShopManagerService = class ShopManagerService extends default_service_1.DefaultService {
    async create(dto) {
        return super.createBase(shop_manager_entity_1.ShopManager, dto);
    }
    async update(dto) {
        return super.updateBase(shop_manager_entity_1.ShopManager, dto);
    }
    async findOne(sno, partnerSno) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(shop_manager_entity_1.ShopManager, 'shop');
        qb.leftJoinAndSelect('gs_partner', 'partner', 'shop.partnerSno=partner.sno')
            .select([
            'shop.sno as sno',
            'shop.partnerSno partnerSno',
            'shop.shopName as shopName',
            'shop.shopTel as shopTel',
            'shop.shopCode as shopCode',
            'shop.zipcode as zipcode',
            'shop.address as address',
            'shop.addressSub as addressSub',
            'shop.city as city',
            'shop.gu as gu',
            'shop.lat as lat',
            'shop.lng as lng',
            'shop.officeHour as officeHour',
            'shop.description as description',
            'shop.additionalInfo as additionalInfo',
            'shop.regDt as regDt',
            'shop.updateDt as updateDt',
            'partner.partnerName as partnerName',
        ])
            .andWhere('shop.sno = :sno', { sno });
        if (partnerSno) {
            qb.andWhere('shop.partnerSno = :partnerSno', {
                partnerSno: partnerSno,
            });
        }
        const shopManager = await qb.getRawOne();
        if (!shopManager) {
            throw new common_1.HttpException('조회 결과가 없습니다.', common_1.HttpStatus.BAD_REQUEST);
        }
        return shopManager;
    }
    async find(dto) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(shop_manager_entity_1.ShopManager, 'shop');
        qb.leftJoinAndSelect('gs_partner', 'partner', 'shop.partnerSno=partner.sno').select([
            'shop.sno as sno',
            'shop.partnerSno partnerSno',
            'shop.shopName as shopName',
            'shop.shopTel as shopTel',
            'shop.shopCode as shopCode',
            'shop.zipcode as zipcode',
            'shop.address as address',
            'shop.addressSub as addressSub',
            'shop.city as city',
            'shop.gu as gu',
            'shop.lat as lat',
            'shop.lng as lng',
            'shop.officeHour as officeHour',
            'shop.description as description',
            'shop.additionalInfo as additionalInfo',
            'shop.regDt as regDt',
            'shop.updateDt as updateDt',
            'partner.partnerName as partnerName',
        ]);
        if (dto.shopName) {
            qb.andWhere('shop.shopName LIKE :shopName', {
                shopName: `%${dto.shopName}%`,
            });
        }
        if (dto.shopTel) {
            qb.andWhere('shop.shopTel LIKE :shopTel', {
                shopTel: `%${dto.shopTel}%`,
            });
        }
        if (dto.address) {
            qb.andWhere('shop.address LIKE :address', {
                address: `%${dto.address}%`,
            });
        }
        if (dto.addressSub) {
            qb.andWhere('shop.addressSub LIKE :addressSub', {
                addressSub: `%${dto.addressSub}%`,
            });
        }
        if (dto.shopCode) {
            qb.andWhere('shop.shopCode LIKE :shopCode', {
                shopCode: `%${dto.shopCode}%`,
            });
        }
        if (dto.city) {
            qb.andWhere('shop.city = :city', {
                city: dto.city,
            });
        }
        if (dto.gu) {
            qb.andWhere('shop.gu = :gu', {
                gu: dto.gu,
            });
        }
        if (dto.partnerSno) {
            qb.andWhere('shop.partnerSno = :partnerSno', {
                partnerSno: dto.partnerSno,
            });
        }
        qb.offset(dto.skip);
        qb.limit(dto.take);
        qb.orderBy('shop.sno', dto.order);
        const list = await qb.getRawMany();
        const count = await qb.getCount();
        const data = [list, count];
        return (0, gsUtil_1.paginateResponse)(data, dto.page, dto.take);
    }
};
exports.ShopManagerService = ShopManagerService;
exports.ShopManagerService = ShopManagerService = __decorate([
    (0, common_1.Injectable)()
], ShopManagerService);
//# sourceMappingURL=shop-manager.service.js.map