"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopByAuthService = void 0;
const common_1 = require("@nestjs/common");
const partner_service_1 = require("../../admin/partner/partner.service");
const enum_1 = require("../../../common/enum/enum");
const gsUtil_1 = require("../../../common/util/gsUtil");
let ShopByAuthService = class ShopByAuthService {
    constructor(partnerService) {
        this.partnerService = partnerService;
    }
    async getLongLivedToken(partnerSno, authorizationCode) {
        const partner = await this.partnerService.findOne(partnerSno);
        if (!partner)
            throw new common_1.HttpException('조회 된 고객사가 없습니다.', common_1.HttpStatus.BAD_REQUEST);
        if (partner.longLivedToken)
            return partner.longLivedToken;
        const headers = {
            Version: '1.0',
        };
        const param = {
            code: authorizationCode,
            grant_type: 'authorization_code',
            client_secret: partner.secretKey,
            redirect_uri: partner.siteUrl,
            client_id: partner.systemKey,
        };
        const result = await (0, gsUtil_1.shopByServerApi)('/auth/token/long-lived', enum_1.HTTP_METHOD.POST, partner.systemKey, partner.longLivedToken, param);
        const longLivedToken = result.access_token;
        this.partnerService.update({
            sno: partner.sno,
            longLivedToken: longLivedToken,
        });
        return { longLivedToken: longLivedToken };
    }
};
exports.ShopByAuthService = ShopByAuthService;
exports.ShopByAuthService = ShopByAuthService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [partner_service_1.PartnerService])
], ShopByAuthService);
//# sourceMappingURL=shopby-auth.service.js.map