"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyQuestion = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const typeorm_1 = require("typeorm");
const survey_answer_entity_1 = require("./survey-answer.entity");
const survey_question_template_entity_1 = require("./survey-question-template.entity");
const common_entity_1 = require("../../../../common/entity/common.entity");
let SurveyQuestion = class SurveyQuestion extends common_entity_1.CommonEntity {
};
exports.SurveyQuestion = SurveyQuestion;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '설문번호' }),
    __metadata("design:type", Number)
], SurveyQuestion.prototype, "surveySno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '질문템플릿 번호' }),
    __metadata("design:type", Number)
], SurveyQuestion.prototype, "templateSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '질문 제목' }),
    __metadata("design:type", String)
], SurveyQuestion.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({ description: '필수여부' }),
    __metadata("design:type", Boolean)
], SurveyQuestion.prototype, "require", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsBoolean)(),
    (0, swagger_1.ApiProperty)({
        description: '기타 사용 여부(기타의 경우 별도 입력 창 받는걸로)',
    }),
    __metadata("design:type", Boolean)
], SurveyQuestion.prototype, "isEtc", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '설정정보' }),
    __metadata("design:type", String)
], SurveyQuestion.prototype, "preference", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => survey_answer_entity_1.SurveyAnswer, (answer) => answer.question),
    __metadata("design:type", Array)
], SurveyQuestion.prototype, "answers", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(() => survey_question_template_entity_1.SurveyQuestionTemplate, (template) => template.question),
    (0, typeorm_1.JoinColumn)({ name: 'templateSno' }),
    __metadata("design:type", survey_question_template_entity_1.SurveyQuestionTemplate)
], SurveyQuestion.prototype, "template", void 0);
exports.SurveyQuestion = SurveyQuestion = __decorate([
    (0, typeorm_1.Entity)('gs_survey_question')
], SurveyQuestion);
//# sourceMappingURL=survey-question.entity.js.map