"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Survey = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const enum_1 = require("../../../../common/enum/enum");
const typeorm_1 = require("typeorm");
let Survey = class Survey extends common_entity_1.CommonEntity {
};
exports.Survey = Survey;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '고객사번호' }),
    __metadata("design:type", Number)
], Survey.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '설문조사 제목' }),
    __metadata("design:type", String)
], Survey.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '작성자 번호' }),
    __metadata("design:type", Number)
], Survey.prototype, "managerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '참여인원, (0이면 무제한)' }),
    __metadata("design:type", Number)
], Survey.prototype, "participantsCount", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsEnum)(enum_1.DISPLAY_TYPE),
    (0, swagger_1.ApiProperty)({ description: '노출타입', enum: enum_1.DISPLAY_TYPE }),
    __metadata("design:type", String)
], Survey.prototype, "displayType", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsDateString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '노출 시작일', required: false }),
    __metadata("design:type", String)
], Survey.prototype, "startDt", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsDateString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '노출 종료일', required: false }),
    __metadata("design:type", String)
], Survey.prototype, "endDt", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '안내', required: false }),
    __metadata("design:type", String)
], Survey.prototype, "information", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsBooleanString)(),
    (0, swagger_1.ApiProperty)({ description: '회원 전용 / 비회원' }),
    __metadata("design:type", Boolean)
], Survey.prototype, "memberFl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsBooleanString)(),
    (0, swagger_1.ApiProperty)({ description: '약관 사용 여부' }),
    __metadata("design:type", Boolean)
], Survey.prototype, "agreementFl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '약관', required: false }),
    __metadata("design:type", String)
], Survey.prototype, "agreement", void 0);
exports.Survey = Survey = __decorate([
    (0, typeorm_1.Entity)('gs_survey')
], Survey);
//# sourceMappingURL=survey.entity.js.map