"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyAdminController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const survey_question_service_1 = require("./survey-question.service");
const survey_question_template_insert_dto_1 = require("./dto/survey-question-template.insert.dto");
const survey_question_template_entity_1 = require("./entity/survey-question-template.entity");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
let SurveyAdminController = class SurveyAdminController {
    constructor(surveyQuestionService) {
        this.surveyQuestionService = surveyQuestionService;
    }
    async createQuestionTemplate(req, dto) {
        dto.partnerSno = dto.partnerSno;
        return await this.surveyQuestionService.createQuestionTemplate(dto);
    }
};
exports.SurveyAdminController = SurveyAdminController;
__decorate([
    (0, common_1.Post)(),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.PARTNER),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    (0, swagger_1.ApiHeader)({
        name: 'access token',
        required: true,
        description: '관리자 access token',
    }),
    (0, swagger_1.ApiOperation)({ summary: '질문 템플릿 등록' }),
    (0, swagger_1.ApiBody)({ type: survey_question_template_insert_dto_1.SurveyQuestionTemplateInsertDto }),
    (0, swagger_1.ApiCreatedResponse)({ description: '등록성공', type: survey_question_template_entity_1.SurveyQuestionTemplate }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, survey_question_template_insert_dto_1.SurveyQuestionTemplateInsertDto]),
    __metadata("design:returntype", Promise)
], SurveyAdminController.prototype, "createQuestionTemplate", null);
exports.SurveyAdminController = SurveyAdminController = __decorate([
    (0, swagger_1.ApiTags)('[관리자] 설문조사'),
    (0, common_1.Controller)('/app/admin/survey'),
    __metadata("design:paramtypes", [survey_question_service_1.SurveyQuestionService])
], SurveyAdminController);
//# sourceMappingURL=survey-admin.controller.js.map