import { SurveyQuestionTemplateInsertDto } from './dto/survey-question-template.insert.dto';
import { SurveyQuestionTemplate } from './entity/survey-question-template.entity';
import { SurveyQuestionTemplateSearchDto } from './dto/survey-question-template.search.dto';
import { SurveyQuestionInsertDto } from './dto/survey-question.insert.dto';
import { SurveyQuestion } from './entity/survey-question.entity';
import { SurveyAnswerInsertDto } from './dto/survey-answer.insert.dto';
import { DefaultService } from 'src/common/service/default.service';
export declare class SurveyQuestionService extends DefaultService {
    createQuestionTemplate(dto: SurveyQuestionTemplateInsertDto): Promise<SurveyQuestionTemplate>;
    findQuestionTemplate(dto: SurveyQuestionTemplateSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    validateAuth(templateSno: number, partnerSno: number): Promise<boolean>;
    findTemplate(templateSno: number, partnerSno: number): Promise<SurveyQuestionTemplate>;
    createQuestion(dto: SurveyQuestionInsertDto, partnerSno: number): Promise<SurveyQuestion>;
    createAnswer(dtos: SurveyAnswerInsertDto[]): Promise<any[]>;
}
