"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyQuestionService = void 0;
const common_1 = require("@nestjs/common");
const survey_question_template_entity_1 = require("./entity/survey-question-template.entity");
const survey_question_entity_1 = require("./entity/survey-question.entity");
const survey_answer_entity_1 = require("./entity/survey-answer.entity");
const default_service_1 = require("../../../common/service/default.service");
const gsUtil_1 = require("../../../common/util/gsUtil");
let SurveyQuestionService = class SurveyQuestionService extends default_service_1.DefaultService {
    async createQuestionTemplate(dto) {
        return super.createBase(survey_question_template_entity_1.SurveyQuestionTemplate, dto);
    }
    async findQuestionTemplate(dto) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(survey_question_template_entity_1.SurveyQuestionTemplate, 'template');
        if (dto.questionCode) {
            qb.andWhere('template.questionCode Like :questionCode', {
                questionCode: `%${dto.questionCode}%`,
            });
        }
        if (dto.templateTitle) {
            qb.andWhere('template.templateTitle Like :templateTitle', {
                templateTitle: `%${dto.templateTitle}%`,
            });
        }
        qb.select(['template.*']);
        qb.offset(dto.skip);
        qb.limit(dto.take);
        qb.orderBy('template.sno', dto.order);
        const list = await qb.getRawMany();
        const count = await qb.getCount();
        const data = [list, count];
        return (0, gsUtil_1.paginateResponse)(data, dto.page, dto.take);
    }
    async validateAuth(templateSno, partnerSno) {
        const entityManager = await this.getEntityManager();
        const template = await entityManager.findOneBy(survey_question_template_entity_1.SurveyQuestionTemplate, {
            sno: templateSno,
        });
        if (template.partnerSno === '0')
            return true;
        const partnerList = template.partnerSno.split('||').map(Number);
        return partnerList.includes(partnerSno);
    }
    async findTemplate(templateSno, partnerSno) {
        if (!(await this.validateAuth(templateSno, partnerSno)))
            throw new common_1.HttpException('사용권한이 없습니다.', common_1.HttpStatus.UNAUTHORIZED);
        const entityManager = await this.getEntityManager();
        const template = await entityManager.findOneBy(survey_question_template_entity_1.SurveyQuestionTemplate, {
            sno: templateSno,
        });
        return template;
    }
    async createQuestion(dto, partnerSno) {
        if (!(await this.validateAuth(dto.templateSno, partnerSno)))
            throw new common_1.HttpException('사용권한이 없습니다.', common_1.HttpStatus.UNAUTHORIZED);
        return this.createBase(survey_question_entity_1.SurveyQuestion, dto);
    }
    async createAnswer(dtos) {
        const answerList = [];
        for (const dto of dtos) {
            answerList.push(await this.createBase(survey_answer_entity_1.SurveyAnswer, dto));
        }
        return answerList;
    }
};
exports.SurveyQuestionService = SurveyQuestionService;
exports.SurveyQuestionService = SurveyQuestionService = __decorate([
    (0, common_1.Injectable)()
], SurveyQuestionService);
//# sourceMappingURL=survey-question.service.js.map