"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyController = void 0;
const common_1 = require("@nestjs/common");
const survey_service_1 = require("./survey.service");
const swagger_1 = require("@nestjs/swagger");
const survey_result_insert_dto_1 = require("./dto/survey-result.insert.dto");
const survey_entity_1 = require("./entity/survey.entity");
const survey_answer_entity_1 = require("./entity/survey-answer.entity");
let SurveyController = class SurveyController {
    constructor(surveyService) {
        this.surveyService = surveyService;
    }
    async getSurvey(req, sno) {
        return this.surveyService.getSurvey(req.partnerSno, sno);
    }
    async getSurveyQuestion(req, sno) {
        return this.surveyService.getSurveyQuestion(req.partnerSno, sno, req.shopResult['memberNo']);
    }
    async saveSurveyResult(req, dto) {
        var _a;
        dto.partnerSno = req.partnerSno;
        dto.memberNo = Number(req.shopResult['memberNo']);
        dto.memberId = (_a = req.shopResult['memberId']) !== null && _a !== void 0 ? _a : '-';
        return this.surveyService.saveSurveyResult(dto);
    }
};
exports.SurveyController = SurveyController;
__decorate([
    (0, common_1.Get)('/:sno'),
    (0, swagger_1.ApiOperation)({ summary: '설문 조회하기' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'clientId',
        required: true,
        description: 'shopby 클라이언트 아이디',
        example: 'dPapqohZU9nWTE11zwsDAg==',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'accessToken',
        required: true,
        description: '사용자 shopby accessToken',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'shopApiUrl',
        required: true,
        description: '/profile 고정',
        example: '/profile',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'apiMethod',
        required: true,
        description: 'GET 고정',
        example: 'GET',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: survey_entity_1.Survey }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], SurveyController.prototype, "getSurvey", null);
__decorate([
    (0, common_1.Get)('/:sno/qna'),
    (0, swagger_1.ApiOperation)({ summary: '설문 질문 답변 조회하기' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'clientId',
        required: true,
        description: 'shopby 클라이언트 아이디',
        example: 'dPapqohZU9nWTE11zwsDAg==',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'accessToken',
        required: true,
        description: '사용자 shopby accessToken',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'shopApiUrl',
        required: true,
        description: '/profile 고정',
        example: '/profile',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'apiMethod',
        required: true,
        description: 'GET 고정',
        example: 'GET',
    }),
    (0, swagger_1.ApiExtraModels)(survey_answer_entity_1.SurveyAnswer),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: '설문 질문 답변 조회',
        schema: {
            type: 'object',
            properties: {
                sno: {
                    type: 'number',
                    description: '질문번호',
                },
                title: {
                    type: 'string',
                    description: '질문',
                },
                require: {
                    type: 'boolean',
                    description: '답변 필수 여부',
                },
                isEtc: {
                    type: 'boolean',
                    description: '기타 답변 사용 여부',
                },
                preference: {
                    type: 'string',
                    description: '질문 설정',
                },
                answers: {
                    type: 'array',
                    items: {
                        type: 'object',
                        $ref: (0, swagger_1.getSchemaPath)(survey_answer_entity_1.SurveyAnswer),
                    },
                    description: '답변 목록',
                },
                template: {
                    type: 'object',
                    properties: {
                        templateTitle: {
                            type: 'string',
                            description: '질문 템플릿명',
                        },
                        templateCode: {
                            type: 'string',
                            description: '질문 템플릿 코드 (MC : 객관식[복수선택], SC : 객관식[단수선택], EQ : 주관식',
                        },
                    },
                },
            },
        },
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], SurveyController.prototype, "getSurveyQuestion", null);
__decorate([
    (0, common_1.Post)('/save-answer'),
    (0, swagger_1.ApiOperation)({ summary: '설문 답변 저장하기' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'clientId',
        required: true,
        description: 'shopby 클라이언트 아이디',
        example: 'dPapqohZU9nWTE11zwsDAg==',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'accessToken',
        required: true,
        description: '사용자 shopby accessToken',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyU25vIjoyNywibWFuYWdlclR5cGUiOiJwYXJ0bmVyIiwiaWF0IjoxNzA1NzY2MDYzLCJleHAiOjEwMzQ1NzY2MDYzfQ.MVoyocaKgXFAphjOs70p8y8or1K3MW0jqOI6daVpEDQ',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'shopApiUrl',
        required: true,
        description: '/profile 고정',
        example: '/profile',
    }),
    (0, swagger_1.ApiHeader)({
        name: 'apiMethod',
        required: true,
        description: 'GET 고정',
        example: 'GET',
    }),
    (0, swagger_1.ApiBody)({ type: survey_result_insert_dto_1.SurveyResultInsertDto }),
    (0, swagger_1.ApiCreatedResponse)({
        status: 200,
        schema: {
            properties: {
                stauts: {
                    type: 'number',
                    description: '리턴코드',
                },
                message: {
                    type: 'string',
                    description: '결과메시지',
                },
            },
        },
    }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, survey_result_insert_dto_1.SurveyResultInsertDto]),
    __metadata("design:returntype", Promise)
], SurveyController.prototype, "saveSurveyResult", null);
exports.SurveyController = SurveyController = __decorate([
    (0, common_1.Controller)('shop/survey'),
    __metadata("design:paramtypes", [survey_service_1.SurveyService])
], SurveyController);
//# sourceMappingURL=survey.controller.js.map