import { AuthDto } from './dto/auth.dto';
import { AuthService } from './auth.service';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
export declare class AuthController {
    private readonly authService;
    constructor(authService: AuthService);
    signIn(data: AuthDto): Promise<{
        accessToken: string;
        refreshToken: string;
        managerName: string;
        managerId: string;
        managerType: string;
        partnerSno: number;
        managerEmail: string;
        managerTel: string;
        authority: string;
    }>;
    logout(req: ICustomAdminRequest): {
        result: Promise<boolean>;
    };
    getAppToken(partnerSno: number): Promise<string>;
    decryptToken(token: string): Promise<any>;
}
