"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const auth_dto_1 = require("./dto/auth.dto");
const auth_service_1 = require("./auth.service");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
let AuthController = class AuthController {
    constructor(authService) {
        this.authService = authService;
    }
    signIn(data) {
        return this.authService.signIn(data);
    }
    logout(req) {
        const user = req.user;
        return { result: this.authService.logOut(user.sno) };
    }
    getAppToken(partnerSno) {
        return this.authService.getAppToken(partnerSno);
    }
    decryptToken(token) {
        return this.authService.decryptToken(token);
    }
};
exports.AuthController = AuthController;
__decorate([
    (0, common_1.Post)('/signIn'),
    (0, swagger_1.ApiOperation)({ summary: '로그인' }),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'accessToken/refreshToken/managerType 반환',
    }),
    (0, swagger_1.ApiQuery)({ type: auth_dto_1.AuthDto }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [auth_dto_1.AuthDto]),
    __metadata("design:returntype", void 0)
], AuthController.prototype, "signIn", null);
__decorate([
    (0, common_1.Post)('/logout'),
    (0, swagger_1.ApiOperation)({ summary: '로그아웃' }),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard),
    __param(0, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], AuthController.prototype, "logout", null);
__decorate([
    (0, common_1.Get)('/getAppToken/:partnerSno'),
    (0, swagger_1.ApiOperation)({ summary: 'Front에서 사용 할 토큰 발급' }),
    __param(0, (0, common_1.Param)('partnerSno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", void 0)
], AuthController.prototype, "getAppToken", null);
__decorate([
    (0, common_1.Get)('/decryptToken/:token'),
    __param(0, (0, common_1.Param)('token')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], AuthController.prototype, "decryptToken", null);
exports.AuthController = AuthController = __decorate([
    (0, common_1.Controller)('common/auth'),
    (0, swagger_1.ApiTags)('인증 API'),
    __metadata("design:paramtypes", [auth_service_1.AuthService])
], AuthController);
//# sourceMappingURL=auth.controller.js.map