import { JwtService } from '@nestjs/jwt';
import { DefaultService } from 'src/common/service/default.service';
import { ModuleRef } from '@nestjs/core';
import { ManagerService } from 'src/api/admin/manager/manager.service';
import { ConfigService } from '@nestjs/config';
import { AuthDto } from './dto/auth.dto';
import { Manager } from 'src/api/admin/manager/entity/manager.entity';
export declare class AuthService extends DefaultService {
    private managerService;
    private jwtService;
    private configService;
    constructor(moduleRef: ModuleRef, managerService: ManagerService, jwtService: JwtService, configService: ConfigService);
    signIn(auth: AuthDto): Promise<{
        accessToken: string;
        refreshToken: string;
        managerName: string;
        managerId: string;
        managerType: string;
        partnerSno: number;
        managerEmail: string;
        managerTel: string;
        authority: string;
    }>;
    logOut(managerSno: number): Promise<boolean>;
    getTokens(manager: Manager): Promise<{
        accessToken: string;
        refreshToken: string;
        managerName: string;
        managerId: string;
        managerType: string;
        partnerSno: number;
        managerEmail: string;
        managerTel: string;
        authority: string;
    }>;
    getAppToken(partnerSno: number): Promise<string>;
    decryptToken(token: string): Promise<any>;
}
