"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessTokenStrategy = void 0;
const common_1 = require("@nestjs/common");
const passport_1 = require("@nestjs/passport");
const passport_jwt_1 = require("passport-jwt");
const manager_service_1 = require("../../../api/admin/manager/manager.service");
let AccessTokenStrategy = class AccessTokenStrategy extends (0, passport_1.PassportStrategy)(passport_jwt_1.Strategy, 'jwt') {
    constructor(managerService) {
        super({
            jwtFromRequest: passport_jwt_1.ExtractJwt.fromAuthHeaderAsBearerToken(),
            secretOrKey: process.env.JWT_ACCESS_SECRET,
            passReqToCallback: true,
        });
        this.managerService = managerService;
    }
    async validate(req, payload) {
        const accessToken = req.get('Authorization').replace('Bearer', '').trim();
        try {
            const manager = (await this.managerService.findOne(Number(payload.sno)));
            if (manager.accessToken !== accessToken)
                throw new common_1.HttpException('token 불일치 - 다시 로그인하세요', common_1.HttpStatus.UNAUTHORIZED);
            return payload;
        }
        catch (error) {
            throw new common_1.HttpException('유효한 토큰이 아닙니다.', common_1.HttpStatus.UNAUTHORIZED);
        }
    }
};
exports.AccessTokenStrategy = AccessTokenStrategy;
exports.AccessTokenStrategy = AccessTokenStrategy = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [manager_service_1.ManagerService])
], AccessTokenStrategy);
//# sourceMappingURL=accessToken.strategy.js.map