"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDatabaseSystemIds = void 0;
const config_1 = require("@nestjs/config");
const dotenv = __importStar(require("dotenv"));
dotenv.config({ path: `.env.${process.env.NODE_ENV}` });
const getDatabaseSystemIds = () => {
    return process.env.DB_SYSTEM_IDS.split(',');
};
exports.getDatabaseSystemIds = getDatabaseSystemIds;
exports.default = (0, config_1.registerAs)('orm', () => {
    const config = {};
    (0, exports.getDatabaseSystemIds)().forEach((systemId) => {
        const lowerSystemId = systemId.toLowerCase();
        let entityPath = '';
        let projectEntityPath = '';
        if (systemId === 'DEFAULT') {
            entityPath = __dirname + `/../../api/**/**/entity/*.entity{.ts,.js}`;
            projectEntityPath =
                __dirname + `/../../../../../dist/api/**/**/entity/*.entity{.ts,.js}`;
        }
        else if (systemId === 'DUKO')
            entityPath = __dirname + `/../../api/**/duko*/entity/*.entity{.ts,.js}`;
        if (process.env[`DB_${systemId}_TYPE`] === 'oracle') {
            config[systemId] = {
                type: process.env[`DB_${systemId}_TYPE`],
                host: process.env[`DB_${systemId}_HOST`],
                port: parseInt(process.env[`DB_${systemId}_PORT`]),
                username: process.env[`DB_${systemId}_USER`],
                password: process.env[`DB_${systemId}_PASSWORD`],
                sid: process.env[`DB_${systemId}_DATABASE`],
                synchronize: process.env[`DB_${systemId}_SYNCHRONIZE`] === 'true',
                useUtc: false,
                logging: true,
                timezone: '+09:00',
            };
        }
        else {
            config[systemId] = {
                type: process.env[`DB_${systemId}_TYPE`],
                host: process.env[`DB_${systemId}_HOST`],
                port: parseInt(process.env[`DB_${systemId}_PORT`]),
                username: process.env[`DB_${systemId}_USER`],
                password: process.env[`DB_${systemId}_PASSWORD`],
                database: process.env[`DB_${systemId}_DATABASE`],
                synchronize: process.env[`DB_${systemId}_SYNCHRONIZE`] === 'true',
                entities: [entityPath, projectEntityPath],
                logging: true,
                useUtc: false,
                timezone: 'Asia/Seoul',
            };
        }
    });
    return config;
});
//# sourceMappingURL=orm.config.js.map