"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminMiddleware = void 0;
const common_1 = require("@nestjs/common");
const jwt_1 = require("@nestjs/jwt");
let AdminMiddleware = class AdminMiddleware {
    constructor(jwtService) {
        this.jwtService = jwtService;
    }
    async use(req, res, next) {
        try {
            const token = req.headers['authorization'];
            if (typeof token !== 'undefined') {
                const bearerToken = token.toString().replace('Bearer', '').trim();
                const payload = this.jwtService.verify(bearerToken, {
                    secret: process.env.JWT_ACCESS_SECRET,
                });
                req.sno = payload.sno;
                req.partnerSno = payload.partnerSno;
                req.managerType = payload.managerType;
                req.managerName = payload.managerName;
                next();
            }
            else {
                throw new common_1.HttpException('인증정보를 확인하세요.', common_1.HttpStatus.FORBIDDEN);
            }
        }
        catch (err) {
            if (err.name === 'TokenExpiredError')
                next();
            else
                throw new common_1.HttpException(err.message, common_1.HttpStatus.UNAUTHORIZED);
        }
    }
};
exports.AdminMiddleware = AdminMiddleware;
exports.AdminMiddleware = AdminMiddleware = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [jwt_1.JwtService])
], AdminMiddleware);
//# sourceMappingURL=admin.middleware.js.map