"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopMiddleware = void 0;
const common_1 = require("@nestjs/common");
const gsUtil_1 = require("../util/gsUtil");
const enum_1 = require("../enum/enum");
const jwt_1 = require("@nestjs/jwt");
let ShopMiddleware = class ShopMiddleware {
    constructor(jwtService) {
        this.jwtService = jwtService;
    }
    async use(req, res, next) {
        var _a;
        const token = req.headers['authorization'];
        if (typeof token !== 'undefined') {
            const bearerToken = token.toString().replace('Bearer', '').trim();
            const payload = this.jwtService.verify(bearerToken, {
                secret: process.env.JWT_ACCESS_SECRET,
            });
            req.partnerSno = payload.partnerSno;
        }
        if (req.header('accessToken') || req.header('Shop-By-Authorization')) {
            const shopApiUrl = req.header('shopApiUrl');
            const apiMethod = enum_1.HTTP_METHOD[req.header('apiMethod')];
            const clientid = req.header('clientId');
            if (!clientid)
                throw new common_1.HttpException('cliendId가 없습니다.', common_1.HttpStatus.BAD_REQUEST);
            const version = (_a = req.header('Version')) !== null && _a !== void 0 ? _a : '1.0';
            if (shopApiUrl) {
                const result = await (0, gsUtil_1.shopByShopApi)(shopApiUrl, apiMethod, clientid, req.body, version, req.header('platform'), req.header('accessToken'), req.header('Shop-By-Authorization'));
                req.shopResult = result;
            }
        }
        next();
    }
};
exports.ShopMiddleware = ShopMiddleware;
exports.ShopMiddleware = ShopMiddleware = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [jwt_1.JwtService])
], ShopMiddleware);
//# sourceMappingURL=shop.middleware.js.map