"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var DefaultService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultService = void 0;
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const typeorm_1 = require("@nestjs/typeorm");
const enum_1 = require("../enum/enum");
let DefaultService = DefaultService_1 = class DefaultService {
    constructor(moduleRef) {
        this.moduleRef = moduleRef;
    }
    async loadEntityManager(systemId) {
        return await this.moduleRef.get((0, typeorm_1.getEntityManagerToken)(`geekstudio_${systemId.toLowerCase()}_admin`), {
            strict: false,
        });
    }
    async getEntityManager(systemId = enum_1.DB_SYSTEM.DEFAULT) {
        const instance = await new DefaultService_1(this.moduleRef);
        return instance.loadEntityManager(systemId);
    }
    async createBase(entityClass, dto, systemId = enum_1.DB_SYSTEM.DEFAULT) {
        const entityManager = await this.getEntityManager(systemId);
        return (await entityManager.save(entityClass, dto));
    }
    async updateBase(entityClass, dto, systemId = enum_1.DB_SYSTEM.DEFAULT) {
        const entityManager = await this.getEntityManager(systemId);
        await entityManager.update(entityClass, { sno: dto.sno }, Object.assign({}, dto));
        return (await this.getOne(entityManager, entityClass, dto.sno));
    }
    async getOne(entityManager, type, sno) {
        return (await entityManager.findOneBy(type, {
            sno: sno,
        }));
    }
    async delete(entityClass, sno, systemId = enum_1.DB_SYSTEM.DEFAULT) {
        const entityManager = await this.getEntityManager(systemId);
        return (await entityManager.delete(entityClass, { sno })).affected == 1
            ? { result: true }
            : { result: false };
    }
};
exports.DefaultService = DefaultService;
exports.DefaultService = DefaultService = DefaultService_1 = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [core_1.ModuleRef])
], DefaultService);
//# sourceMappingURL=default.service.js.map