ALTER TABLE gs_exception ADD COLUMN trace TEXT NULL COMMENT 'trace' AFTER message;

CREATE TABLE gs_magazine(
    sno int PRIMARY KEY AUTO_INCREMENT,
    partnerSno INT NOT NULL COMMENT '고객사 번호',
    managerSno INT NOT NULL COMMENT '작성자 번호',
    category VARCHAR(50) NULL COMMENT '카테고리',
    title VARCHAR(100) NOT NULL COMMENT '제목',
    subTitle VARCHAR(100) NULL COMMENT '소제목',
    contents TEXT NOT NULL COMMENT '컨텐츠',
    tag VARCHAR(200) NULL COMMENT '태그',
    displayFl BOOLEAN DEFAULT TRUE COMMENT '노출여부',
    displayType ENUM('ALWAYS', 'PERIOD') DEFAULT 'ALWAYS' COMMENT '노출타입',
    startDt VARCHAR(30) NULL COMMENT '노출 시작일',
    endDt VARCHAR(30) NULL COMMENT '노출 종료일',
    useComment BOOLEAN NOT NULL DEFAULT false COMMENT '댓글 사용 여부',
    regDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updateDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);
ALTER TABLE gs_magazine ADD COLUMN mainImg VARCHAR(500) NOT NULL COMMENT '대표이미지' AFTER category;

CREATE TABLE gs_comment(
    sno int PRIMARY KEY AUTO_INCREMENT,
    partnerSno INT NOT NULL COMMENT '고객사 번호',
    parentSno INT NULL COMMENT '상위글 번호 (대댓글은 지원 안함)',
    contentType ENUM('MAGAZINE', 'BOARD') NOT NULL COMMENT '코멘트 적용 타입',
    contentSno INT NOT NULL COMMENT '매거진/게시글 번호',
    memberId VARCHAR(50) NOT NULL COMMENT '작성자 아이디 (마스킹 처리)',
    memberNo INT NOT NULL COMMENT '작성자 회원번호',
    comment VARCHAR(200) NOT NULL COMMENT '댓글',
    attachment VARCHAR(500) NULL COMMENT '첨부파일',
    regDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updateDt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);